

#ifndef _MHAPPDEF_HXX
#define _MHAPPDEF_HXX

#ifdef UNX
#define DEFAULT_INI_ROOT	"/develop6/update/dev" 
#define PATH_SEPARATOR		'/'
#define S_PATH_SEPARATOR 	"/"
#else
#ifdef MAC
#define DEFAULT_INI_ROOT 	"dev4.data1:s"
#define PATH_SEPARATOR		':'
#define S_PATH_SEPARATOR 	":"
#else
#define DEFAULT_INI_ROOT 	"r:"
#define PATH_SEPARATOR		'\\'
#define S_PATH_SEPARATOR	"\\"
#endif
#endif

#define _INI_DRV				DEFAULT_INI_ROOT
#define DEFAULT_INI_FILE 		DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "config" S_PATH_SEPARATOR "b_server.ini"
#define B_SERVER_ROOT			DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server"
#define BINARYROOT				DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "bin"
#define _JOB_DIR 				DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "server" S_PATH_SEPARATOR "db"
#define _INJOB_DIR 				DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "server" S_PATH_SEPARATOR "dbin"
#define _OUTJOB_DIR 			DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "server" S_PATH_SEPARATOR "dbout"
#define _ERRJOB_DIR				DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "server" S_PATH_SEPARATOR "dberr"
#define _BUILDPATTERN_DIR 		DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "pattern"
#define _COMMENT_DIR   			DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "comment"
#define _SOLARLIST				DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "config" S_PATH_SEPARATOR "solar.lst"
#define _DEF_STAND_LIST 		DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "config" S_PATH_SEPARATOR "stand.lst"
#define _DEF_DEFAULT_LIST 		DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "config" S_PATH_SEPARATOR "default.lst"
#define _DEF_SSOLARINI	 		DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "config" S_PATH_SEPARATOR "ssolar.ini"
#define _DEF_SSCOMMON			DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "config" S_PATH_SEPARATOR "ssolar.cmn"
#define _SERVER_IDENT_FLAG 		DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "config" S_PATH_SEPARATOR "server.id"
#define _CUSTOMJOBINI	 		DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "config" S_PATH_SEPARATOR "custom.ini"
#define _DATABASEINI	 		DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "config" S_PATH_SEPARATOR "database.ini"
#define _ZNINI			 		DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "config" S_PATH_SEPARATOR "bszn.ini"
#define _ERRORINFOFILE			DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "config" S_PATH_SEPARATOR "errinf.lst"
#define _REGEXPINFOFILE			DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "config" S_PATH_SEPARATOR "regexp.lst"
#define _POSITIVERRORINFOFILE	DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "config" S_PATH_SEPARATOR "perrinf.lst"
#define _POSITIVREGEXPINFOFILE	DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "config" S_PATH_SEPARATOR "pregexp.lst"
#define	_INIROOT				DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "config"
#define	_INIROOT_OLD			DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "config"
#define	_ENV_DIR				DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "config"
#define ISERVER_DEF_STAND_LIST 	DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "config" S_PATH_SEPARATOR "stand.lst"
#define ISERVER_DEF_DEPEND_LIST	DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "config" S_PATH_SEPARATOR "depend.lst"
#define _REDIRECTIONPATH		DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "redir"
#define _ZLOGSPATH				DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "zlogs"
#define DEFAULT_PROTPATH		DEFAULT_INI_ROOT S_PATH_SEPARATOR "b_server" S_PATH_SEPARATOR "filesize"
#define _INI_UNC				"\\\\grande-11050.germany.sun.com\\R-Laufwerk"
#define _INI_UNC_OLD	    	"\\\\grande-11050.germany.sun.com\\R-Laufwerk\\s"

#define _REDIRECTIONSIZE		"10000"
#define _EISPATH				"W:\\EIS"

#define _WRITE_LOGFILES 		"1"
#define _WRITE_JOBFILES 		"1"

#define _VERSION_WINDOW			"0"
#define _JOB_WINDOW 			"0"
#define _APPWIN_MAXIMIZED		"0"
#define _CONTEXT_TBOX			"0"

#define _COLOR_DROPED			COL_GRAY
#define _COLOR_WAIT				COL_BLUE
#define _COLOR_BUILD			COL_GREEN
#define _COLOR_ERROR			COL_RED
#define _COLOR_BUILDERROR		COL_MAGENTA
#define _COLOR_OK				COL_BLACK
#define _COLOR_DELIVERED		COL_CYAN

#define _ASYNCHRON				"1"

#define OH_GOTT "*"
#define UNX_DEFAULT_FILESIZES		"bin/" OH_GOTT ".bin;bin/" OH_GOTT ".res;bin/" OH_GOTT ".tlb;lib/" OH_GOTT ".so"
#define DOS_DEFAULT_FILESIZES		"bin\\*.exe;bin\\*.res;bin\\*.dll;bin\\*.tlb"

#ifdef UNX
#define DEFAULT_FILESIZES UNX_DEFAULT_FILESIZES
#else	
#define DEFAULT_FILESIZES DOS_DEFAULT_FILESIZES
#endif

enum BuildStatus {
	BS_DROPED, 					
	BS_BUILD,                   
	BS_WAIT,                    
	BS_OK,                      
	BS_BUILDANDERROR,           
	BS_ERROR,                   
	BS_NON,                     
	BS_DELIVERED,               
	BS_DELIVEREDANDERROR,       
	BS_FIXED,                   
	BS_NOTDELIVERED,            
	BS_BUILD_PRIO,              
	BS_BUILD_ORDER,             
	BS_BUILD_DEPEND,            
	BS_BUILD_DELIVER,           
	BS_BUILD_NORMAL,            
	BS_BUILD_DELIVER_NO_DEPEND  
};

#define LF_STARDIV	"StarDivision"
#define LF_UNIX		"UNIX"
#define LF_MAC		"Macintosh"
#define LF_OS2		"OS/2"

const char* GetDefStandList();
const char* GetIniRoot();
const char* GetIniRootOld();
const char* GetSSolarIni();
const char* GetSSCommon();
const char* GetBServerRoot();

const char* GetEnv( const char *pVar );
const char* GetEnv( const char *pVar, const char *pDefault );

#define CONVERT_R_TO_HOSTFSYS( sPath )	{ sPath.ToLowerAscii().SearchAndReplace( "r:", GetEnv("ISERVERBASE", DEFAULT_INI_ROOT ) ); sPath.SearchAndReplaceAll( "\\", S_PATH_SEPARATOR ); }

#endif
