
#ifndef _INIMGR_HXX
#define _INIMGR_HXX

#include <tools/fsys.hxx>
#include <tools/string.hxx>

class IniManager
{
private:
	BOOL bUpdate;

	ByteString sGlobalDir;   	
	ByteString sLocalPath;		

public:
	IniManager( ByteString &rDir, ByteString &rLocalDir );
	IniManager( ByteString &rDir );
	IniManager();

	ByteString ToLocal( ByteString &rPath );
	void Update();			
	void ForceUpdate();

	static ByteString GetLocalIni();
};

#endif

