

#include <tools/stream.hxx>

class MinorMk : public SvFileStream
{
private:
	ByteString sRSCVERSION;
	ByteString sRSCREVISION;
	ByteString sBUILD;
	ByteString sLAST_MINOR;

	BOOL bExists;
public:
	MinorMk(
		const ByteString &rMinor,
		const ByteString &rEnvironment
	);
	~MinorMk();

	static BOOL PatchFlat(
		const String &rNewMinor,
		const String &rNewBuildNr
	);

	static BOOL CreateFlatIfNotExists();

	ByteString GetRscVersion()
		{ return sRSCVERSION; }
	ByteString GetRscRevision()
		{ return sRSCREVISION; }
	ByteString GetBuildNr()
		{ return sBUILD; }
	ByteString GetLastMinor()
		{ return sLAST_MINOR; }

	BOOL Exists()
		{ return bExists; }
};
