
#ifndef _MAILENUM_HXX
#define _MAILENUM_HXX

enum MailState
{
	MAIL_STATE_SUCCESS = 0,
	MAIL_STATE_FAILURE,
	MAIL_STATE_ATTACHED_NOT_FOUND,
	MAIL_STATE_NO_MEMORY,
	MAIL_STATE_LOGIN_FAILURE,
	MAIL_STATE_RECEIVER_NOT_FOUND,
	MAIL_STATE_TOO_MANY_FILES,
	MAIL_STATE_TOO_MANY_RECEIVERS,
	MAIL_STATE_NO_RECEIVERS,
	MAIL_STATE_USER_CANCEL,
	MAIL_STATE_DRIVER_NOT_AVAILABLE
};

enum MailDriver
{
	MAIL_DRIVER_DETECT = 0,
	MAIL_DRIVER_BEGIN,
	MAIL_DRIVER_VIM = MAIL_DRIVER_BEGIN,
	MAIL_DRIVER_MAPI,
	MAIL_DRIVER_CMC,
	MAIL_DRIVER_SMP,
	MAIL_DRIVER_UNIX,
	MAIL_DRIVER_SMTP,
	MAIL_DRIVER_END
};

enum MailPriority
{
	MAIL_PRIORITY_LOW = 0,
	MAIL_PRIORITY_NORMAL,
	MAIL_PRIORITY_URGENT
};

enum MailReceiverRole
{
	MAIL_RECEIVER_TO = 0,
	MAIL_RECEIVER_CC,
	MAIL_RECEIVER_BCC,
	MAIL_RECEIVER_NEWSGROUP
};

enum MailAction
{
	MAIL_ACTION_DYING,		
	MAIL_ACTION_SEND,		
	MAIL_ACTION_READ,		
	MAIL_ACTION_REMOVED,	
	MAIL_ACTION_UPDATED,	
	MAIL_ACTION_NEXT,		
	MAIL_ACTION_PREV        
};

#define TXTFORMAT_ASCII		((BYTE)0x01)
#define TXTFORMAT_HTML		((BYTE)0x02)
#define TXTFORMAT_RTF		((BYTE)0x04)
#define TXTFORMAT_OFFICE	((BYTE)0x08)

#endif

