

#ifndef _SD_GLOB_HXX
#define _SD_GLOB_HXX

#ifndef _SOLAR_H
#include <solar.h>
#endif

#define DIA_SLOW	0
#define DIA_MEDIUM	1
#define DIA_FAST	2

#define SD_IF_SDAPP                     SFX_INTERFACE_SD_START + 0
#define SD_IF_SDDRAWDOCSHELL            SFX_INTERFACE_SD_START + 1
#define SD_IF_SDVIEWSHELL               SFX_INTERFACE_SD_START + 2
#define SD_IF_SDDRAWVIEWSHELL           SFX_INTERFACE_SD_START + 3
#define SD_IF_SDSLIDEVIEWSHELL          SFX_INTERFACE_SD_START + 4
#define SD_IF_SDOUTLINEVIEWSHELL        SFX_INTERFACE_SD_START + 5
#define SD_IF_SDDRAWSTDOBJECTBAR        SFX_INTERFACE_SD_START + 6
#define SD_IF_SDDRAWTEXTOBJECTBAR       SFX_INTERFACE_SD_START + 7
#define SD_IF_SDDRAWBEZIEROBJECTBAR     SFX_INTERFACE_SD_START + 8
#define SD_IF_SDDRAWGLUEPOINTSOBJECTBAR SFX_INTERFACE_SD_START + 9
#define SD_IF_SDGRAPHICDOCSHELL         SFX_INTERFACE_SD_START + 10
#define SD_IF_SDGRAPHICVIEWSHELL        SFX_INTERFACE_SD_START + 11
#define SD_IF_SDGRAPHICSTDOBJECTBAR     SFX_INTERFACE_SD_START + 12
#define SD_IF_SDDRAWGRAFOBJECTBAR		SFX_INTERFACE_SD_START + 13
#define SD_IF_SDPRESVIEWSHELL           SFX_INTERFACE_SD_START + 14

const UINT32 SdUDInventor=UINT32('S')*0x00000001+
			  UINT32('D')*0x00000100+
			  UINT32('U')*0x00010000+
			  UINT32('D')*0x01000000;

#define SD_ANIMATIONINFO_ID 1
#define SD_IMAPINFO_ID		2

#define SD_LT_FAMILY (SfxStyleFamily)0xaffe

#define SD_LT_SEPARATOR "~LT~"

#define SD_OPTION_MORPHING	"Morph"
#define SD_OPTION_VECTORIZE "Vectorize"

#endif 

