

#ifndef _SDOBJFAC_HXX
#define _SDOBJFAC_HXX

#ifndef _LINK_HXX 
#include <tools/link.hxx>
#endif

class SdrObjFactory;

class SdObjectFactory
{
protected:
	Link aOldMakeObjLink;
	Link aOldMakeUserDataLink;

public:
	SdObjectFactory() {}

	void SetOldMakeUserDataHdl( const Link& rLink )
					{ aOldMakeUserDataLink = rLink; }
	Link GetOldMakeUserDataHdl() const { return aOldMakeUserDataLink; }

	DECL_LINK( MakeUserData, SdrObjFactory * );
};

extern SdObjectFactory aSdObjectFactory;

#endif 

