
#ifndef _SFX_MISCCFG_HXX
#define _SFX_MISCCFG_HXX

#ifndef _UTL_CONFIGITEM_HXX_
#include <unotools/configitem.hxx>
#endif

class SfxMiscCfg : public utl::ConfigItem
{
	BOOL			bPaperSize;     
	BOOL			bPaperOrientation;
	BOOL			bNotFound;
	sal_Int32		nYear2000;		

	const com::sun::star::uno::Sequence<rtl::OUString>& GetPropertyNames();
	void					Load();

public:
	SfxMiscCfg( );
	~SfxMiscCfg( );

	virtual void 			Notify( const com::sun::star::uno::Sequence<rtl::OUString>& aPropertyNames);
	virtual void			Commit();

	BOOL		IsNotFoundWarning() 	const {return bNotFound;}
	void		SetNotFoundWarning(	BOOL bSet);

	BOOL		IsPaperSizeWarning() 	const {return bPaperSize;}
	void		SetPaperSizeWarning(BOOL bSet);

	BOOL		IsPaperOrientationWarning() 	const {return bPaperOrientation;}
	void		SetPaperOrientationWarning(	BOOL bSet);

	sal_Int32	GetYear2000()			const { return nYear2000; }
	void        SetYear2000( sal_Int32 nSet );

};

#endif 

