

#ifndef _LINKDLG_HXX
#define _LINKDLG_HXX

#ifndef _SO2REF_HXX
#include <so3/so2ref.hxx>
#endif
#ifndef _LSTBOX_HXX 
#include <vcl/lstbox.hxx>
#endif

class SvTabListBox;
class Window;
class RadioButton;
class PushButton;
class Window;

namespace so3 {

class SvBaseLinksDlg;
class SvLinkManager;
class SvBaseLink;

class SvBaseLinksDialog
{
	SvBaseLinksDlg* pDlg;
	SvLinkManager*	pLinkMgr;
	BOOL 			bHtmlMode;
#if 0 // _SOLAR__PRIVATE
	DECL_LINK( LinksSelectHdl, SvTabListBox * );
	DECL_LINK( LinksDoubleClickHdl, SvTabListBox * );
	DECL_LINK( AutomaticClickHdl, RadioButton * );
	DECL_LINK( ManualClickHdl, RadioButton * );
	DECL_LINK( UpdateNowClickHdl, PushButton * );
	DECL_LINK( OpenSourceClickHdl, PushButton * );
	DECL_LINK( ChangeSourceClickHdl, PushButton * );
	DECL_LINK( BreakLinkClickHdl, PushButton * );
	DECL_LINK( UpdateWaitingHdl, Timer * );
	SvBaseLink* GetSelEntry( USHORT* pPos );
	String ImplGetStateStr( const SvBaseLink& );
	void SetType( SvBaseLink& rLink, USHORT nPos, USHORT nType );
	void InsertEntry( const SvBaseLink& rLink, USHORT nPos = LISTBOX_APPEND, sal_Bool bSelect = sal_False);
#endif
public:
	SvBaseLinksDialog( Window * pParent, SvLinkManager*, BOOL bHtml = FALSE );
	~SvBaseLinksDialog();

	void Execute();

	void SetManager( SvLinkManager* );
	void SetActLink( SvBaseLink * pLink );
};

}

#endif 
