

#ifndef SMDLL0_HXX
#define SMDLL0_HXX

#ifndef _SFXMODULE_HXX 
#include <sfx2/module.hxx>
#endif
#ifndef _SHL_HXX 
#include <tools/shl.hxx>
#endif

class SvFactory;
class SotFactory;

#define SM_MOD() ( *(SmModuleDummy**) GetAppData(SHL_SM) )

class SmModuleDummy : public SfxModule
{
public:
	TYPEINFO();

	SotFactory *pSmDocShellFactory;

	SmModuleDummy(ResMgr	*pResMgr,
	  BOOL		bDummy,
	  SotFactory *pObjFact) :
	SfxModule(pResMgr, bDummy, (SfxObjectFactory*) pObjFact, NULL),
	pSmDocShellFactory(pObjFact)
	{
	}

	virtual SfxModule *Load ();

	static const SvGlobalName GetID(USHORT nFileFormat);
	static USHORT HasID (const SvGlobalName& rID);
};

#endif
