
#ifndef INCLUDED_SVTOOLS_ADDXMLTOSTORAGEOPTIONS_HXX
#define INCLUDED_SVTOOLS_ADDXMLTOSTORAGEOPTIONS_HXX

#ifndef _SAL_TYPES_H_
#include <sal/types.h>
#endif

#ifndef _OSL_MUTEX_HXX_
#include <osl/mutex.hxx>
#endif

#ifndef _RTL_USTRING_
#include <rtl/ustring>
#endif

class SvtAddXMLToStorageOptions_Impl;

class SvtAddXMLToStorageOptions
{

	public:
	      SvtAddXMLToStorageOptions();
	    ~SvtAddXMLToStorageOptions();

		sal_Bool IsWriter_Add_XML_to_Storage() const;
		sal_Bool IsCalc_Add_XML_to_Storage() const;
		sal_Bool IsImpress_Add_XML_to_Storage() const;
		sal_Bool IsDraw_Add_XML_to_Storage() const;

		static ::osl::Mutex& GetOwnStaticMutex();

	private:
	 	static SvtAddXMLToStorageOptions_Impl*	m_pDataContainer;	
		static sal_Int32 m_nRefCount;	

};		

#endif
