
#ifndef _SVT_BROADCAST_HXX
#define _SVT_BROADCAST_HXX

#ifndef _RTTI_HXX 
#include <tools/rtti.hxx>
#endif

class SvtListener;
class SfxHint;
class SvtListenerBase;

class SvtBroadcaster
{
friend class SvtListener;
friend class SvtListenerBase;
friend class SvtListenerIter;
	SvtListenerBase* pRoot;

	const SvtBroadcaster&	operator=(const SvtBroadcaster &); 

protected:
	void					Forward( SvtBroadcaster& rBC,
						 const SfxHint& rHint );
	virtual void			ListenersGone();

public:
				TYPEINFO();
					SvtBroadcaster();
				SvtBroadcaster( const SvtBroadcaster &rBC );
	virtual 				~SvtBroadcaster();

	void					Broadcast( const SfxHint &rHint );

	BOOL					HasListeners() const { return 0 != pRoot; }
};

#endif

