
#ifndef _SVTOOLS_CJKOPTIONS_HXX
#define _SVTOOLS_CJKOPTIONS_HXX

#ifndef _SAL_TYPES_H_
#include <sal/types.h>
#endif

class SvtCJKOptions_Impl;

class SvtCJKOptions
{
private:
	SvtCJKOptions_Impl*    pImp;

public:
	 SvtCJKOptions(sal_Bool bDontLoad = sal_False);
	~SvtCJKOptions();
	 sal_Bool IsCJKFontEnabled() const;
	sal_Bool IsVerticalTextEnabled() const;
	sal_Bool IsAsianTypographyEnabled() const;
	sal_Bool IsJapaneseFindEnabled() const;
	sal_Bool IsRubyEnabled() const;
	sal_Bool IsChangeCaseMapEnabled() const;
	sal_Bool IsDoubleLinesEnabled() const;
	sal_Bool IsEmphasisMarksEnabled() const;
	sal_Bool IsVerticalCallOutEnabled() const;
	 void        SetAll(sal_Bool bSet);
	sal_Bool    IsAnyEnabled() const;
};

#endif 

