
#ifndef _LCKBITEM_HXX
#define _LCKBITEM_HXX

#ifndef _SOLAR_H
#include <tools/solar.h>
#endif

#ifndef _RTTI_HXX
#include <tools/rtti.hxx>
#endif

#ifndef _STREAM_HXX
#include <tools/stream.hxx>
#endif

#include <svtools/poolitem.hxx>

class SfxArguments;

class SfxLockBytesItem: public SfxPoolItem
{
	SvLockBytesRef			_xVal;

public:
				TYPEINFO();
				SfxLockBytesItem();
				SfxLockBytesItem( USHORT nWhich,
								  SvLockBytes *pLockBytes );
				SfxLockBytesItem( USHORT nWhich, SvStream & );
				SfxLockBytesItem( const SfxLockBytesItem& );
				~SfxLockBytesItem();

	virtual int 			operator==( const SfxPoolItem& ) const;
	virtual SfxPoolItem*	Clone( SfxItemPool *pPool = 0 ) const;
	virtual SfxPoolItem*	Create(SvStream &, USHORT nItemVersion) const;
	virtual SvStream&		Store(SvStream &, USHORT nItemVersion ) const;

	SvLockBytes*			GetValue() const { return _xVal; }

	virtual	BOOL 			PutValue  ( const com::sun::star::uno::Any& rVal,
			    			BYTE nMemberId = 0 );
	virtual	BOOL 			QueryValue( com::sun::star::uno::Any& rVal,
							BYTE nMemberId = 0 ) const;
};

#endif

