
#ifndef _SFXMETRICITEM_HXX
#define _SFXMETRICITEM_HXX

#ifndef _SFXINTITEM_HXX
#include <svtools/intitem.hxx>
#endif

DBG_NAMEEX(SfxMetricItem);

class SfxMetricItem: public SfxInt32Item
{
public:
				 TYPEINFO();
				 SfxMetricItem( USHORT nWhich = 0, UINT32 nValue = 0 );
				 SfxMetricItem( USHORT nWhich, SvStream & );
				 SfxMetricItem( const SfxMetricItem& );
				 ~SfxMetricItem() {
					 DBG_DTOR(SfxMetricItem, 0); }

	virtual int				 ScaleMetrics( long lMult, long lDiv );
	virtual	int				 HasMetrics() const;

};

#endif

