
#ifndef _SFXPOOLCACH_HXX
#define _SFXPOOLCACH_HXX

#include <tools/solar.h>

class SfxItemModifyArr_Impl;
class SfxItemPool;
class SfxItemSet;
class SfxPoolItem;
class SfxSetItem;

class SfxItemPoolCache
{
	SfxItemPool 			*pPool;
	SfxItemModifyArr_Impl	*pCache;
	const SfxItemSet		*pSetToPut;
	const SfxPoolItem		*pItemToPut;

public:
				SfxItemPoolCache( SfxItemPool *pPool,
								  const SfxPoolItem *pPutItem );
				SfxItemPoolCache( SfxItemPool *pPool,
								  const SfxItemSet *pPutSet );
				~SfxItemPoolCache();

	const SfxSetItem&		ApplyTo( const SfxSetItem& rSetItem, BOOL bNew = FALSE );
};

#endif

