

#ifndef _PRGSBAR_HXX
#define _PRGSBAR_HXX

#ifndef _WINDOW_HXX
#include <vcl/window.hxx>
#endif

#define WB_STDPROGRESSBAR		WB_BORDER

class ProgressBar : public Window
{
private:
	Point				maPos;
	long				mnPrgsWidth;
	long				mnPrgsHeight;
	USHORT				mnPercent;
	USHORT				mnPercentCount;
	BOOL				mbCalcNew;

#ifdef _SV_PRGSBAR_CXX
	void				ImplInit();
	void				ImplInitSettings( BOOL bFont, BOOL bForeground, BOOL bBackground );
	void				ImplDrawProgress( USHORT nOldPerc, USHORT nNewPerc );
#endif

public:
			ProgressBar( Window* pParent, WinBits nWinBits = WB_STDPROGRESSBAR );
			ProgressBar( Window* pParent, const ResId& rResId );
			~ProgressBar();

	virtual void		Paint( const Rectangle& rRect );
	virtual void		Resize();
	virtual void		StateChanged( StateChangedType nStateChange );
	virtual void		DataChanged( const DataChangedEvent& rDCEvt );

	void				SetValue( USHORT nNewPercent );
	USHORT				GetValue() const { return mnPercent; }
};

#endif	
