
#ifndef _REGINFO_HXX
#define _REGINFO_HXX

struct RegInfo_Impl;

#ifndef _STRING_HXX 
#include <tools/string.hxx>
#endif

class RegInfo
{

  public:
			RegInfo();
		~RegInfo();

	const String&   GetGroup() const { return aCurrentGroup; }
	void			SetAppGroup( const String& rGroup );
	void			DeleteAppGroup( const String& rGroup );

	String			ReadKey( const String& rKey ) const;
	String			ReadKey( const String& rKey, const String& rDefault ) const;
	void			WriteKey( const String& rKey, const String& rValue );
	void			DeleteKey( const String& rKey );
	String			GetKeyName( USHORT nKey ) const;
	String			ReadKey( USHORT nKey ) const;
	USHORT			GetKeyCount() const;

  private:

	String          aCurrentGroup;
	RegInfo_Impl*   pImp;

};

#endif
