
#ifndef INCLUDED_SVTOOLS_STARTOPTIONS_HXX
#define INCLUDED_SVTOOLS_STARTOPTIONS_HXX

#ifndef _SAL_TYPES_H_
#include <sal/types.h>
#endif

#ifndef _OSL_MUTEX_HXX_
#include <osl/mutex.hxx>
#endif

#ifndef _RTL_USTRING_HXX_
#include <rtl/ustring.hxx>
#endif

class SvtStartOptions_Impl;

class SvtStartOptions
{
	 public:
	      SvtStartOptions();
	    ~SvtStartOptions();
	     sal_Bool    IsIntroEnabled  (                   ) const ;
	    void        EnableIntro     ( sal_Bool bState   )       ;
	     ::rtl::OUString GetConnectionURL(                               ) const ;
	    void            SetConnectionURL( const ::rtl::OUString& sURL   )       ;
	     static ::osl::Mutex& GetOwnStaticMutex();
	 private:
	     static SvtStartOptions_Impl*    m_pDataContainer    ;   
	    static sal_Int32                m_nRefCount         ;   

};      

#endif  
