

#ifndef _SVX_CLIPBOARDCTL_HXX_
#define _SVX_CLIPBOARDCTL_HXX_

#ifndef _SFXTBXCTRL_HXX 
#include <sfx2/tbxctrl.hxx>
#endif
#ifndef _SFXCTRLITEM_HXX
#include <sfx2/ctrlitem.hxx>
#endif
#ifndef _SFXPOOLITEM_HXX
#include <svtools/poolitem.hxx>
#endif

class PopupMenu;

class SvxClipBoardControl : public SfxToolBoxControl
{
	PopupMenu*				pPopup;
	USHORT					nItemId;

	void					DelPopup();

public:
	SFX_DECL_TOOLBOX_CONTROL();

	SvxClipBoardControl( USHORT nId, ToolBox& rTbx, SfxBindings& rBind );
	~SvxClipBoardControl();

	virtual SfxPopupWindowType	GetPopupWindowType() const;
	virtual SfxPopupWindow* 	CreatePopupWindow();
	virtual void				StateChanged( USHORT nSID,
								  SfxItemState eState,
								  const SfxPoolItem* pState );
};

#endif

