
#ifndef _SVX_FLSTITEM_HXX
#define _SVX_FLSTITEM_HXX

#ifndef _SFXPOOLITEM_HXX 
#include <svtools/poolitem.hxx>
#endif
#ifndef   ITEMID_FONTLIST
#define   ITEMID_FONTLIST 0
#endif

class FontList;

class SvxFontListItem : public SfxPoolItem
{
private:
	const FontList*         pFontList;

public:
	TYPEINFO();

	SvxFontListItem( const FontList* pFontLst,
		 const USHORT nId = ITEMID_FONTLIST );
	SvxFontListItem( const SvxFontListItem& rItem );

	virtual int				operator==( const SfxPoolItem& ) const;
	virtual SfxPoolItem*	Clone( SfxItemPool *pPool = 0 ) const;

	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric,
						SfxMapUnit ePresMetric,
	                                String &rText, const IntlWrapper * = 0 ) const;

	const FontList*			GetFontList() const { return pFontList; }
};

#endif

