
#ifndef _SVX_INSCTRL_HXX
#define _SVX_INSCTRL_HXX

#ifndef _SFXSTBITEM_HXX 
#include <sfx2/stbitem.hxx>
#endif

class SvxInsertStatusBarControl : public SfxStatusBarControl
{
public:
	virtual void	StateChanged( USHORT nSID, SfxItemState eState,
					  const SfxPoolItem* pState );
	virtual void	Click();
	virtual void    Paint( const UserDrawEvent& rEvt );

	SFX_DECL_STATUSBAR_CONTROL();

	SvxInsertStatusBarControl( USHORT nId, StatusBar& rStb, SfxBindings& rBind );
	~SvxInsertStatusBarControl();

	static	ULONG	GetDefItemWidth(const StatusBar& rStb);

private:
	BOOL	bInsert;

#ifdef _SVX_INSCTRL_CXX
	void	DrawItemText_Impl();
#endif
};

#endif

