
#ifndef _SVX_NHYPITEM_HXX
#define _SVX_NHYPITEM_HXX

#ifndef _SFXENUMITEM_HXX 
#include <svtools/eitem.hxx>
#endif
#ifndef _SVX_SVXIDS_HRC
#include <svx/svxids.hrc>
#endif

class SvxNoHyphenItem : public SfxBoolItem
{
public:
	TYPEINFO();

	SvxNoHyphenItem( const BOOL bHyphen = TRUE,
		 const USHORT nId = ITEMID_NOHYPHENHERE );

	virtual SfxPoolItem*    Clone( SfxItemPool *pPool = 0 ) const;
	virtual SfxPoolItem*    Create(SvStream &, USHORT) const;
	virtual SvStream&		Store(SvStream &, USHORT nItemVersion) const;

	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric,
						SfxMapUnit ePresMetric,
	                                String &rText, const IntlWrapper * = 0 ) const;

	inline SvxNoHyphenItem& operator=(const SvxNoHyphenItem& rNHH)
		{
			SetValue( rNHH.GetValue() );
			return *this;
		}
};

#endif

