
#ifndef _SVX_NLBKITEM_HXX
#define _SVX_NLBKITEM_HXX

#ifndef _SFXENUMITEM_HXX 
#include <svtools/eitem.hxx>
#endif

class SvxNoLinebreakItem : public SfxBoolItem
{
public:
	TYPEINFO();

	SvxNoLinebreakItem( const BOOL bBreak = TRUE,
			const USHORT nId = ITEMID_NOLINEBREAK );

	virtual SfxPoolItem*    Clone( SfxItemPool *pPool = 0 ) const;
	virtual SfxPoolItem*    Create(SvStream &, USHORT) const;
	virtual SvStream&		Store(SvStream &, USHORT nItemVersion) const;

	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric,
						SfxMapUnit ePresMetric,
	                                String &rText, const IntlWrapper * = 0 ) const;

	inline SvxNoLinebreakItem& operator=(const SvxNoLinebreakItem& rLB)
		{
			SetValue( rLB.GetValue() );
			return *this;
		}
};

#endif

