
#ifndef _SVX_OPTASIAN_HXX
#define _SVX_OPTASIAN_HXX

#ifndef _SFXTABDLG_HXX 
#include <sfx2/tabdlg.hxx>
#endif
#ifndef _SV_GROUP_HXX
#include <vcl/group.hxx>
#endif
#ifndef _SV_BUTTON_HXX
#include <vcl/button.hxx>
#endif
#ifndef _SV_FIXED_HXX
#include <vcl/fixed.hxx>
#endif
#ifndef _SV_LSTBOX_HXX
#include <vcl/lstbox.hxx>
#endif
#ifndef _SV_EDIT_HXX
#include <vcl/edit.hxx>
#endif
#ifndef _SVX_LANGBOX_HXX
#include <svx/langbox.hxx>
#endif
struct SvxAsianLayoutPage_Impl;
class SvxAsianLayoutPage : public SfxTabPage
{
	FixedLine    aKerningGB;
	RadioButton	aCharKerningRB;
	RadioButton	aCharPunctKerningRB;
	 FixedLine    aCharDistGB;
	RadioButton	aNoCompressionRB;
	RadioButton	aPunctCompressionRB;
	RadioButton	aPunctKanaCompressionRB;
	 FixedLine    aStartEndGB;

	FixedText  		aLanguageFT;
	SvxLanguageBox	aLanguageLB;
	CheckBox   		aStandardCB;

	FixedText	aStartFT;
	Edit		aStartED;
	FixedText	aEndFT;
	Edit		aEndED;
	FixedText	aHintFT;

	SvxAsianLayoutPage_Impl* pImpl;

	DECL_LINK(LanguageHdl, SvxLanguageBox*);
	DECL_LINK(ChangeStandardHdl, CheckBox*);
	DECL_LINK(ModifyHdl, Edit*);

	SvxAsianLayoutPage( Window* pParent, const SfxItemSet& rSet );
public:

	virtual ~SvxAsianLayoutPage();

	static SfxTabPage*	Create( Window* pParent, const SfxItemSet& rAttrSet );
	virtual	BOOL 		FillItemSet( SfxItemSet& rSet );
	virtual	void 		Reset( const SfxItemSet& rSet );
};

#endif

