
#ifndef _SVX_PSZCTRL_HXX
#define _SVX_PSZCTRL_HXX

#ifndef _SFXSTBITEM_HXX 
#include <sfx2/stbitem.hxx>
#endif

class  SvxSizeItem;
struct SvxPosSizeStatusBarControl_Impl;

class SvxPosSizeStatusBarControl : public SfxStatusBarControl
{
private:
	SvxPosSizeStatusBarControl_Impl*	pImp;

	SfxStatusForwarder					aPosForwarder;
	SfxStatusForwarder					aTableForwarder;
	SfxStatusForwarder					aFuncForwarder;

public:
	SFX_DECL_STATUSBAR_CONTROL();

	SvxPosSizeStatusBarControl( USHORT nId, StatusBar& rStb, SfxBindings& rBind );
	~SvxPosSizeStatusBarControl();

	virtual void	StateChanged( USHORT nSID, SfxItemState eState, const SfxPoolItem* pState );
	virtual void    Paint( const UserDrawEvent& rEvt );
	virtual void	Command( const CommandEvent& rCEvt );

	static ULONG	GetDefItemWidth( const StatusBar& rStb );
};

#endif

