

#ifndef _SVX_ROTMODIT_HXX
#define _SVX_ROTMODIT_HXX

#ifndef _SFXENUMITEM_HXX 
#include <svtools/eitem.hxx>
#endif

enum SvxRotateMode
{
	SVX_ROTATE_MODE_STANDARD,
	SVX_ROTATE_MODE_TOP,
	SVX_ROTATE_MODE_CENTER,
	SVX_ROTATE_MODE_BOTTOM
};

class SvxRotateModeItem: public SfxEnumItem
{
public:
	TYPEINFO();
		SvxRotateModeItem( SvxRotateMode eMode, USHORT nWhich);
	SvxRotateModeItem( const SvxRotateModeItem& rItem );
	~SvxRotateModeItem();

	virtual USHORT				GetValueCount() const;
	virtual String				GetValueText( USHORT nVal ) const;
	virtual SfxPoolItem*		Clone( SfxItemPool *pPool = 0 ) const;
	virtual SfxPoolItem*		Create(SvStream &, USHORT) const;
	virtual USHORT				GetVersion( USHORT nFileVersion ) const;
	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
									 SfxMapUnit eCoreMetric,
									 SfxMapUnit ePresMetric,
	                                             String& rText, const IntlWrapper * = 0 ) const;
	virtual	sal_Bool        	 QueryValue( com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 ) const;
	virtual	sal_Bool			 PutValue( const com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 );
};

#endif

