

#ifndef _SDGMOITM_HXX
#define _SDGMOITM_HXX

#ifndef _GRFMGR_HXX
#include <goodies/grfmgr.hxx>
#endif
#ifndef _SFXENUMITEM_HXX
#include <svtools/eitem.hxx>
#endif
#ifndef _SVDDEF_HXX
#include <svx/svddef.hxx>
#endif

class SdrGrafModeItem : public SfxEnumItem
{
public:
					TYPEINFO();
					SdrGrafModeItem( GraphicDrawMode eMode = GRAPHICDRAWMODE_STANDARD ) : SfxEnumItem( SDRATTR_GRAFMODE, eMode ) {}
				SdrGrafModeItem( SvStream& rIn ) : SfxEnumItem( SDRATTR_GRAFMODE, rIn ) {}

	virtual SfxPoolItem*	Clone( SfxItemPool* pPool = NULL ) const;
	virtual SfxPoolItem*	Create( SvStream& rIn, USHORT nVer ) const;
	virtual USHORT			GetValueCount() const;
	GraphicDrawMode			GetValue() const { return (GraphicDrawMode) SfxEnumItem::GetValue(); }

	virtual String			GetValueTextByPos( USHORT nPos ) const;
	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
									 SfxMapUnit eCoreMetric,
									 SfxMapUnit ePresMetric,
	                                             String& rText, const IntlWrapper * = 0) const;

};

#endif 
