

#ifndef _SDGRSITM_HXX
#define _SDGRSITM_HXX

#ifndef _SVDDEF_HXX
#include <svx/svddef.hxx>
#endif
#ifndef _SFXITEMSET_HXX
#include <svtools/itemset.hxx>
#endif
#ifndef _SFXPOOLITEM_HXX
#include <svtools/poolitem.hxx>
#endif

class SdrGrafSetItem : public SfxSetItem
{
public:

	TYPEINFO();

	SdrGrafSetItem( SfxItemSet* pItemSet ) : SfxSetItem( SDRATTRSET_GRAF, pItemSet ) {}
	SdrGrafSetItem( SfxItemPool* pItemPool ) : SfxSetItem( SDRATTRSET_GRAF, new SfxItemSet( *pItemPool, SDRATTR_GRAF_FIRST, SDRATTR_GRAF_LAST ) ) {}
	SdrGrafSetItem( const SdrGrafSetItem& rAttr, SfxItemPool* pItemPool = NULL ) : SfxSetItem( rAttr, pItemPool ) {}
	virtual SfxPoolItem* Clone( SfxItemPool* pToPool ) const;
	virtual SfxPoolItem* Create( SvStream& rStream, USHORT nVersion ) const;
};

#endif 
