
#ifndef _SDMETITM_HXX
#define _SDMETITM_HXX

#ifndef _SFXINTITEM_HXX 
#include <svtools/intitem.hxx>
#endif

#if SUPD >= 351 && SUPD < 355
#define SDR_ISPOOLABLE
#endif

class SdrMetricItem: public SfxInt32Item {
public:
	TYPEINFO();
	SdrMetricItem(): SfxInt32Item() {}
	SdrMetricItem(USHORT nId, INT32 nVal=0):  SfxInt32Item(nId,nVal) {}
	SdrMetricItem(USHORT nId, SvStream& rIn): SfxInt32Item(nId,rIn) {}
	virtual SfxPoolItem* Clone(SfxItemPool* pPool=NULL) const;
	virtual SfxPoolItem* Create(SvStream& rIn, USHORT nVer) const;
	virtual FASTBOOL HasMetrics() const;
	virtual FASTBOOL ScaleMetrics(long nMul, long nDiv);

	virtual SfxItemPresentation GetPresentation(SfxItemPresentation ePres,
									SfxMapUnit eCoreMetric,
									SfxMapUnit ePresMetric,
	                                            String& rText, const IntlWrapper * = 0) const;

#ifdef SDR_ISPOOLABLE
	virtual int IsPoolable() const;
#endif
};

#endif
