
#ifndef _SDMSITM_HXX
#define _SDMSITM_HXX

#ifndef _SFXPOOLITEM_HXX 
#include <svtools/poolitem.hxx>
#endif

#ifndef _SFXITEMSET_HXX 
#include <svtools/itemset.hxx>
#endif

#ifndef _SVDDEF_HXX 
#include <svx/svddef.hxx>
#endif

class SdrMiscSetItem: public SfxSetItem {
public:
	TYPEINFO();
	SdrMiscSetItem(SfxItemSet* pItemSet)  : SfxSetItem(SDRATTRSET_MISC,pItemSet) {}
	SdrMiscSetItem(SfxItemPool* pItemPool):
		SfxSetItem(SDRATTRSET_MISC,new SfxItemSet(*pItemPool,SDRATTR_MISC_FIRST,SDRATTR_MISC_LAST)) {}
	SdrMiscSetItem(const SdrMiscSetItem& rAttr, SfxItemPool* pItemPool=NULL): SfxSetItem(rAttr,pItemPool) {}
	virtual SfxPoolItem*    Clone(SfxItemPool* pToPool) const;
	virtual SfxPoolItem*    Create(SvStream& rStream, USHORT nVersion) const;
#if SUPD <= 345
	virtual SvStream&       Store(SvStream& rStream) const;
#endif
};

#endif
