
#ifndef _SDOLSITM_HXX
#define _SDOLSITM_HXX

#ifndef _SFXPOOLITEM_HXX 
#include <svtools/poolitem.hxx>
#endif

#ifndef _SVDDEF_HXX 
#include <svx/svddef.hxx>
#endif

class SdrOutlinerSetItem: public SfxSetItem {
public:
	TYPEINFO();
	SdrOutlinerSetItem(SfxItemSet* pItemSet): SfxSetItem(SDRATTRSET_OUTLINER,pItemSet) {}
	SdrOutlinerSetItem(SfxItemPool* pItemPool);
	SdrOutlinerSetItem(const SdrOutlinerSetItem& rAttr, SfxItemPool* pItemPool=NULL): SfxSetItem(rAttr,pItemPool) {}
	virtual SfxPoolItem*    Clone(SfxItemPool* pToPool) const;
	virtual SfxPoolItem*    Create(SvStream& rStream, USHORT nVersion) const;
#if SUPD <= 345
	virtual SvStream&       Store(SvStream& rStream) const;
#endif
};

#endif
