
#ifndef _SDPRCITM_HXX
#define _SDPRCITM_HXX

#ifndef _SFXINTITEM_HXX 
#include <svtools/intitem.hxx>
#endif

#if SUPD >= 351 && SUPD < 355
#define SDR_ISPOOLABLE
#endif

class SdrPercentItem : public SfxUInt16Item
{
public:
	TYPEINFO();
	SdrPercentItem(): SfxUInt16Item() {}
	SdrPercentItem(USHORT nId, UINT16 nVal=0): SfxUInt16Item(nId,nVal) {}
	SdrPercentItem(USHORT nId, SvStream& rIn):  SfxUInt16Item(nId,rIn) {}
	virtual SfxPoolItem* Clone(SfxItemPool* pPool=NULL) const;
	virtual SfxPoolItem* Create(SvStream& rIn, USHORT nVer) const;
	 virtual SfxItemPresentation GetPresentation(SfxItemPresentation ePres, SfxMapUnit eCoreMetric, SfxMapUnit ePresMetric, String& rText, const IntlWrapper * = 0) const;

#ifdef SDR_ISPOOLABLE
	virtual int IsPoolable() const;
#endif
};

class SdrSignedPercentItem : public SfxInt16Item
{
public:
	TYPEINFO();
	SdrSignedPercentItem(): SfxInt16Item() {}
	SdrSignedPercentItem( USHORT nId, INT16 nVal = 0 ) : SfxInt16Item( nId,nVal ) {}
	SdrSignedPercentItem( USHORT nId, SvStream& rIn ) : SfxInt16Item( nId,rIn ) {}
	virtual SfxPoolItem* Clone( SfxItemPool* pPool = NULL ) const;
	virtual SfxPoolItem* Create( SvStream& rIn, USHORT nVer ) const;
	 virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres, SfxMapUnit eCoreMetric, SfxMapUnit ePresMetric, String& rText, const IntlWrapper * = 0 ) const;

#ifdef SDR_ISPOOLABLE
	virtual int IsPoolable() const;
#endif
};

#endif
