
#ifndef _SDTAAITM_HXX
#define _SDTAAITM_HXX

#ifndef _SFXINTITEM_HXX 
#include <svtools/intitem.hxx>
#endif

#ifndef _SVDDEF_HXX 
#include <svx/svddef.hxx>
#endif

class SdrTextAniAmountItem: public SfxInt16Item {
public:
	TYPEINFO();
	SdrTextAniAmountItem(INT16 nVal=0): SfxInt16Item(SDRATTR_TEXT_ANIAMOUNT,nVal) {}
	SdrTextAniAmountItem(SvStream& rIn): SfxInt16Item(SDRATTR_TEXT_ANIAMOUNT,rIn) {}
	virtual SfxPoolItem* Clone(SfxItemPool* pPool=NULL) const;
	virtual SfxPoolItem* Create(SvStream& rIn, USHORT nVer) const;
	virtual FASTBOOL HasMetrics() const;
	virtual FASTBOOL ScaleMetrics(long nMul, long nDiv);
	 virtual SfxItemPresentation GetPresentation(SfxItemPresentation ePres, SfxMapUnit eCoreMetric, SfxMapUnit ePresMetric, String& rText, const IntlWrapper * = 0) const;
};

#endif
