
#ifndef _SXCISITM_HXX
#define _SXCISITM_HXX

#ifndef _SVDDEF_HXX 
#include <svx/svddef.hxx>
#endif

#ifndef _SFXITEMSET_HXX 
#include <svtools/itemset.hxx>
#endif

#ifndef _SFXPOOLITEM_HXX 
#include <svtools/poolitem.hxx>
#endif

class SdrCircSetItem: public SfxSetItem {
public:
	TYPEINFO();
	SdrCircSetItem(SfxItemSet* pItemSet)  : SfxSetItem(SDRATTRSET_CIRC,pItemSet) {}
	SdrCircSetItem(SfxItemPool* pItemPool): SfxSetItem(SDRATTRSET_CIRC,new SfxItemSet(*pItemPool,SDRATTR_CIRC_FIRST,SDRATTR_CIRC_LAST)) {}
	SdrCircSetItem(const SdrCircSetItem& rAttr, SfxItemPool* pItemPool=NULL): SfxSetItem(rAttr,pItemPool) {}
	virtual SfxPoolItem*    Clone(SfxItemPool* pToPool) const;
	virtual SfxPoolItem*    Create(SvStream& rStream, USHORT nVersion) const;
#if SUPD <= 345
	virtual SvStream&       Store(SvStream& rStream) const;
#endif
};

#endif
