
#ifndef SXMSEITM_HXX
#define SXMSEITM_HXX

#ifndef _SVDDEF_HXX 
#include <svx/svddef.hxx>
#endif

#ifndef _SFXITEMSET_HXX 
#include <svtools/itemset.hxx>
#endif

#ifndef _SFXPOOLITEM_HXX 
#include <svtools/poolitem.hxx>
#endif

class SdrMeasureSetItem: public SfxSetItem {
public:
	TYPEINFO();
	SdrMeasureSetItem(SfxItemSet* pItemSet)          : SfxSetItem(SDRATTRSET_MEASURE,pItemSet) {}
	SdrMeasureSetItem(SfxItemPool* pItemPool)        : SfxSetItem(SDRATTRSET_MEASURE,new SfxItemSet(*pItemPool,SDRATTR_MEASURE_FIRST,SDRATTR_MEASURE_LAST)) {}
	SdrMeasureSetItem(const SdrMeasureSetItem& rAttr, SfxItemPool* pItemPool=NULL): SfxSetItem(rAttr,pItemPool) {}
	virtual SfxPoolItem*    Clone(SfxItemPool* pToPool) const;
	virtual SfxPoolItem*    Create(SvStream& rStream, USHORT nVersion) const;
#if SUPD <= 345
	virtual SvStream&       Store(SvStream& rStream) const;
#endif
};

#endif
