

#ifndef _XDEF_HXX
#define _XDEF_HXX

#define XATTR_START             1000

#define XATTR_LINE_FIRST        XATTR_START              		
#define XATTR_LINESTYLE         XATTR_LINE_FIRST
#define XATTR_LINEDASH          (XATTR_LINE_FIRST + 1)			
#define XATTR_LINEWIDTH         (XATTR_LINE_FIRST + 2)			
#define XATTR_LINECOLOR         (XATTR_LINE_FIRST + 3)			
#define XATTR_LINESTART         (XATTR_LINE_FIRST + 4)			
#define XATTR_LINEEND           (XATTR_LINE_FIRST + 5)			
#define XATTR_LINESTARTWIDTH    (XATTR_LINE_FIRST + 6)			
#define XATTR_LINEENDWIDTH      (XATTR_LINE_FIRST + 7)			
#define XATTR_LINESTARTCENTER   (XATTR_LINE_FIRST + 8)			
#define XATTR_LINEENDCENTER     (XATTR_LINE_FIRST + 9)   		

#define XATTR_LINETRANSPARENCE  (XATTR_LINE_FIRST + 10)  		
#define XATTR_LINEJOINT		    (XATTR_LINE_FIRST + 11)			

#define XATTR_LINERESERVED2     (XATTR_LINE_FIRST + 12)			
#define XATTR_LINERESERVED3     (XATTR_LINE_FIRST + 13)			
#define XATTR_LINERESERVED4     (XATTR_LINE_FIRST + 14)			
#define XATTR_LINERESERVED5     (XATTR_LINE_FIRST + 15)			
#define XATTR_LINERESERVED_LAST (XATTR_LINE_FIRST + 16)			
#define XATTR_LINE_LAST         XATTR_LINERESERVED_LAST

#define XATTRSET_LINE           (XATTR_LINE_LAST + 1)    		

#define XATTR_FILL_FIRST        	(XATTRSET_LINE + 1)      	
#define XATTR_FILLSTYLE         	XATTR_FILL_FIRST
#define XATTR_FILLCOLOR         	(XATTR_FILL_FIRST + 1)		
#define XATTR_FILLGRADIENT      	(XATTR_FILL_FIRST + 2)		
#define XATTR_FILLHATCH         	(XATTR_FILL_FIRST + 3)		
#define XATTR_FILLBITMAP        	(XATTR_FILL_FIRST + 4)   	

#define XATTR_FILLTRANSPARENCE  	(XATTR_FILL_FIRST + 5)   	
#define XATTR_GRADIENTSTEPCOUNT 	(XATTR_FILL_FIRST + 6)   	
#define XATTR_FILLBMP_TILE 			(XATTR_FILL_FIRST + 7)	 	
#define XATTR_FILLBMP_POS   		(XATTR_FILL_FIRST + 8)	 	
#define XATTR_FILLBMP_SIZEX 		(XATTR_FILL_FIRST + 9)	 	
#define XATTR_FILLBMP_SIZEY			(XATTR_FILL_FIRST + 10)	 	

#define XATTR_FILLFLOATTRANSPARENCE	(XATTR_FILL_FIRST + 11)	 	
#define XATTR_FILLRESERVED2			(XATTR_FILL_FIRST + 12)	 	

#define XATTR_FILLBMP_SIZELOG		(XATTR_FILL_FIRST + 13)	 	
#define XATTR_FILLBMP_TILEOFFSETX	(XATTR_FILL_FIRST + 14)	 	
#define XATTR_FILLBMP_TILEOFFSETY	(XATTR_FILL_FIRST + 15) 	
#define XATTR_FILLBMP_STRETCH		(XATTR_FILL_FIRST + 16) 	

#define XATTR_FILLRESERVED3			(XATTR_FILL_FIRST + 17)	 	
#define XATTR_FILLRESERVED4			(XATTR_FILL_FIRST + 18)	 	
#define XATTR_FILLRESERVED5			(XATTR_FILL_FIRST + 19) 	
#define XATTR_FILLRESERVED6			(XATTR_FILL_FIRST + 20)	 	
#define XATTR_FILLRESERVED7			(XATTR_FILL_FIRST + 21)	 	
#define XATTR_FILLRESERVED8			(XATTR_FILL_FIRST + 22)	 	

#define XATTR_FILLBMP_POSOFFSETX	(XATTR_FILL_FIRST + 23)	 	
#define XATTR_FILLBMP_POSOFFSETY	(XATTR_FILL_FIRST + 24)	 	

#define XATTR_FILLBACKGROUND		(XATTR_FILL_FIRST + 25)		
#define XATTR_FILLRESERVED10		(XATTR_FILL_FIRST + 26)		
#define XATTR_FILLRESERVED11		(XATTR_FILL_FIRST + 27)	 	
#define XATTR_FILLRESERVED_LAST 	(XATTR_FILL_FIRST + 28)		
#define XATTR_FILL_LAST         	XATTR_FILLRESERVED_LAST

#define XATTRSET_FILL           (XATTR_FILL_LAST + 1)    		

#define XATTR_TEXT_FIRST        (XATTRSET_FILL + 1)
#define XATTR_FORMTXTSTYLE      XATTR_TEXT_FIRST				
#define XATTR_FORMTXTADJUST     (XATTR_TEXT_FIRST + 1)			
#define XATTR_FORMTXTDISTANCE   (XATTR_TEXT_FIRST + 2)			
#define XATTR_FORMTXTSTART      (XATTR_TEXT_FIRST + 3)			
#define XATTR_FORMTXTMIRROR     (XATTR_TEXT_FIRST + 4)			
#define XATTR_FORMTXTOUTLINE    (XATTR_TEXT_FIRST + 5)			
#define XATTR_FORMTXTSHADOW     (XATTR_TEXT_FIRST + 6)			
#define XATTR_FORMTXTSHDWCOLOR  (XATTR_TEXT_FIRST + 7)			
#define XATTR_FORMTXTSHDWXVAL   (XATTR_TEXT_FIRST + 8)			
#define XATTR_FORMTXTSHDWYVAL   (XATTR_TEXT_FIRST + 9)			
#define XATTR_FORMTXTSTDFORM    (XATTR_TEXT_FIRST + 10)			
#define XATTR_FORMTXTHIDEFORM   (XATTR_TEXT_FIRST + 11)			
#define XATTR_FORMTXTSHDWTRANSP (XATTR_TEXT_FIRST + 12)   		
#define XATTR_FTRESERVED2       (XATTR_TEXT_FIRST + 13)   		
#define XATTR_FTRESERVED3       (XATTR_TEXT_FIRST + 14)			
#define XATTR_FTRESERVED4       (XATTR_TEXT_FIRST + 15)			
#define XATTR_FTRESERVED5       (XATTR_TEXT_FIRST + 16)			
#define XATTR_FTRESERVED_LAST   (XATTR_TEXT_FIRST + 17)			
#define XATTR_TEXT_LAST         XATTR_FTRESERVED_LAST

#define XATTRSET_TEXT           (XATTR_TEXT_LAST + 1)    		
#define XATTR_END               XATTRSET_TEXT

#endif
