

#ifndef SVX_XFILLIT0_HXX
#define SVX_XFILLIT0_HXX

#ifndef _SFXENUMITEM_HXX 
#include <svtools/eitem.hxx>
#endif

#include <svx/xdef.hxx>
#include <svx/xenum.hxx>

class XFillStyleItem : public SfxEnumItem
{
public:
				TYPEINFO();
				XFillStyleItem(XFillStyle = XFILL_SOLID);
				XFillStyleItem(SvStream& rIn);

	virtual SfxPoolItem*    Clone(SfxItemPool* pPool = 0) const;
	virtual SfxPoolItem*    Create(SvStream& rIn, USHORT nVer) const;

	virtual	sal_Bool        	 QueryValue( com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 ) const;
	virtual	sal_Bool			 PutValue( const com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 );

	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric,
						SfxMapUnit ePresMetric,
	                                String &rText, const IntlWrapper * = 0 ) const;
	virtual USHORT          GetValueCount() const;
	XFillStyle				GetValue() const { return (XFillStyle) SfxEnumItem::GetValue(); }
};

#endif

