

#ifndef _SVX_XFLBMPIT_HXX
#define _SVX_XFLBMPIT_HXX

#ifndef _SFXENUMITEM_HXX 
#include <svtools/eitem.hxx>
#endif

class XFillBmpPosItem : public SfxEnumItem
{
public:
				TYPEINFO();
				XFillBmpPosItem( RECT_POINT eRP = RP_MM );
				XFillBmpPosItem( SvStream& rIn );

	virtual SfxPoolItem*    Clone( SfxItemPool* pPool = 0 ) const;
	virtual SfxPoolItem*    Create( SvStream& rIn, USHORT nVer ) const;

	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric,
						SfxMapUnit ePresMetric,
	                                String &rText, const IntlWrapper * = 0 ) const;

	virtual USHORT			GetValueCount() const;
	RECT_POINT 				GetValue() const { return (RECT_POINT) SfxEnumItem::GetValue(); }
};

#endif
