

#ifndef _SVX_XFLCLIT_HXX
#define _SVX_XFLCLIT_HXX

#ifndef _SVX_XCOLORITEM_HXX 
#include <svx/xcolit.hxx>
#endif

class XFillColorItem : public XColorItem
{
public:
			TYPEINFO();
			XFillColorItem() {}
			XFillColorItem(long nIndex, const Color& rTheColor);
			XFillColorItem(const String& rName, const Color& rTheColor);
			XFillColorItem(SvStream& rIn);

	virtual SfxPoolItem*    Clone(SfxItemPool* pPool = 0) const;
	virtual SfxPoolItem*    Create(SvStream& rIn, USHORT nVer) const;

	virtual	sal_Bool        	 QueryValue( com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 ) const;
	virtual	sal_Bool			 PutValue( const com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 );

	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric,
						SfxMapUnit ePresMetric,
	                                String &rText, const IntlWrapper * = 0 ) const;
};

#endif

