

#ifndef _SVX_XLNCLIT_HXX
#define _SVX_XLNCLIT_HXX

#ifndef _SVX_XCOLORITEM_HXX 
#include <svx/xcolit.hxx>
#endif

class XLineColorItem : public XColorItem
{
public:
			TYPEINFO();
			XLineColorItem() {}
			XLineColorItem(long nIndex, const Color& rTheColor);
			XLineColorItem(const String& rName, const Color& rTheColor);
			XLineColorItem(SvStream& rIn);

	virtual SfxPoolItem*    Clone(SfxItemPool* pPool = 0) const;
	virtual SfxPoolItem*    Create(SvStream& rIn, USHORT nVer) const;

	virtual	sal_Bool        	 QueryValue( com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 ) const;
	virtual	sal_Bool			 PutValue( const com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 );

	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric,
						SfxMapUnit ePresMetric,
	                                String &rText, const IntlWrapper * = 0 ) const;
};

#endif
