

#ifndef _SVX_XLNEDWIT_HXX
#define _SVX_XLNEDWIT_HXX

#ifndef _SFXMETRICITEM_HXX 
#include <svtools/metitem.hxx>
#endif

#define	LINE_END_WIDTH_DEFAULT		(200)

class XLineEndWidthItem : public SfxMetricItem
{
public:
				TYPEINFO();
				XLineEndWidthItem(long nWidth = LINE_END_WIDTH_DEFAULT);
				XLineEndWidthItem(SvStream& rIn);
	virtual SfxPoolItem*    Clone(SfxItemPool* pPool = 0) const;
	virtual SfxPoolItem*    Create(SvStream& rIn, USHORT nVer) const;

	virtual	sal_Bool        	 QueryValue( com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 ) const;
	virtual	sal_Bool			 PutValue( const com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 );

	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric,
						SfxMapUnit ePresMetric,
	                                String &rText, const IntlWrapper * = 0 ) const;
};

#endif

