

#ifndef _AGITEM_HXX
#define _AGITEM_HXX

#ifndef _SOLAR_H
#include <tools/solar.h>
#endif

class String;
class INetURLObject;
class AgentApi;
class ChApi;

class AgentItem
{
public:
	virtual const String&			GetChAgentName() const = 0;
	virtual const INetURLObject&	GetLocation() const = 0;
	virtual AgentApi*				GetApi() const = 0;
	virtual ChApi*					GetChApi() const = 0;

	virtual void   					SetIsActive(BOOL bNew) = 0;
	virtual BOOL   					IsActive() const = 0;
};

#endif 

/* $Log: agitem.hxx,v $
/* Revision 1.1.1.1  2000/09/18 17:03:01  hr
/* initial import
/*
/* Revision 1.5  2000/09/18 10:01:04  willem.vandorp
/* OpenOffice header added.
/*
/* Revision 1.4  2000/08/11 16:13:05  willem.vandorp
/* Header and footer replaced
/*
/* Revision 1.3  1999/02/19 12:41:51  hr
/* Kommentar
