

#ifndef _ISOLANG_HXX
#define _ISOLANG_HXX

#ifndef _LANG_HXX
#include <tools/lang.hxx>
#endif
#ifndef _STRING_HXX
#include <tools/string.hxx>
#endif

void ConvertLanguageToIsoNames( LanguageType eLang, UniString& rLangStr, UniString& rCountry );
void ConvertLanguageToIsoNames( LanguageType eLang, ByteString& rLangStr, ByteString& rCountry );
UniString ConvertLanguageToIsoString( LanguageType eLang, sal_Unicode cSep = '-' );
ByteString ConvertLanguageToIsoByteString( LanguageType eLang, sal_Char cSep = '-' );

LanguageType ConvertIsoNamesToLanguage( const UniString& rLang, const UniString& rCountry );
LanguageType ConvertIsoNamesToLanguage( const ByteString& rLang, const ByteString& rCountry );
LanguageType ConvertIsoStringToLanguage( const UniString& rString, sal_Unicode cSep = '-' );
LanguageType ConvertIsoByteStringToLanguage( const ByteString& rString, sal_Char cSep = '-' );
LanguageType ConvertUnxByteStringToLanguage( const ByteString& rString );

#endif 
