

#define BOOL         WIN_BOOL
#define BYTE         WIN_BYTE
#ifndef VCL_NEED_BASETSD
#define INT64	     WIN_INT64
#define UINT64	     WIN_UINT64
#define INT32	     WIN_INT32
#define UINT32	     WIN_UINT32
#endif

#ifdef WNT
#define Rectangle    BLA_Rectangle
#define Polygon      BLA_Polygon
#define PolyPolygon  BLA_PolyPolygon
#define Region       WIN_Region
#define Folder       WIN_Folder
#define GradientStyle_RECT	WIN_GradientStyle_RECT
#else
#define Rectangle    WIN_Rectangle
#define Polygon      WIN_Polygon
#define PolyPolygon  WIN_PolyPolygon
#define Region       WIN_Region
#endif

#ifdef WNT
#ifdef __cplusplus
extern "C" {
#endif
#endif

#define STRICT
#include <windows.h>
#ifndef WNT
#  ifndef __BORLANDC__
#    include <winprint.h>
#  else
#    include <print.h>
#  endif
#endif
#include <shellapi.h>
#include <commdlg.h>
#include <dlgs.h>
#if (WINVER >= 0x0400)
#ifdef USE_TOOLHELP
#include <tlhelp32.h>
#endif
#ifdef USE_IMAGEHLP
#include <imagehlp.h>
#endif
#ifdef INCLUDE_MMSYSTEM
#include <mmsystem.h>
#endif
#ifdef ICC
#include <winspool.h>
#endif
#include <commctrl.h>
#endif

#ifdef WIN
#ifdef INCLUDE_MMSYSTEM
#include <mmsystem.h>
#endif
#endif
