

#ifndef _SV_ACCMGR_HXX
#define _SV_ACCMGR_HXX

#ifndef _SV_SV_H
#include <vcl/sv.h>
#endif

class ImplAccelList;
class Accelerator;
class KeyCode;

class ImplAccelManager
{
private:
	ImplAccelList*      mpAccelList;
	ImplAccelList*      mpSequenceList;

public:
	                    ImplAccelManager()
	                    {
	                        mpAccelList    = NULL;
	                        mpSequenceList = NULL;
	                    }
	                    ~ImplAccelManager();
	 BOOL                InsertAccel( Accelerator* pAccel );
	void                RemoveAccel( Accelerator* pAccel );
	 void                EndSequence( BOOL bCancel = FALSE );
	void                FlushAccel() { EndSequence( TRUE ); }
	 BOOL                IsAccelKey( const KeyCode& rKeyCode, USHORT nRepeat );
};

#endif  
