

#ifndef _SV_EXCHANGE_HXX
#define _SV_EXCHANGE_HXX

#ifndef _SOT_EXCHANGE_HXX
#include <sot/exchange.hxx>
#endif

#ifndef _SV_SV_H
#include <vcl/sv.h>
#endif

#ifndef _LINK_HXX 
#include <tools/link.hxx>
#endif

class Exchange : public SotExchange
{
private:
	Link            aRequestHdl;

	protected:
	                Exchange();
	                ~Exchange();
public:
	virtual void    Request();
	 void            SetRequestHdl( const Link& rLink ) { aRequestHdl = rLink; }
	const Link&     GetRequestHdl() const { return aRequestHdl; }

	static void		ImplRegisterSystemFormats( void );
};

#endif 

