

#ifndef _VCL_POINTR_HXX
#define _VCL_POINTR_HXX

#ifndef _SV_SV_H
#include <vcl/sv.h>
#endif
#ifndef _VCL_PTRSTYLE_HXX
#include <vcl/ptrstyle.hxx>
#endif

class Point;

class Pointer
{
	PointerStyle	meStyle;

public:
		Pointer()
			{ meStyle = POINTER_ARROW; }
		Pointer( PointerStyle eStyle )
			{ meStyle = eStyle; }

	PointerStyle	GetStyle() const { return meStyle; }

	BOOL			operator==( const Pointer& rPointer ) const
			{ return (meStyle == rPointer.meStyle); }
	BOOL			operator!=( const Pointer& rPointer ) const
			{ return !(Pointer::operator==( rPointer )); }
};

#endif 
