

#ifndef _SV_SPIN_H
#define _SV_SPIN_H

#ifndef _SV_SV_H
#include <vcl/sv.h>
#endif

class Rectangle;
class OutputDevice;

#define SPIN_DELAY      280
#define SPIN_SPEED      60

void ImplDrawSpinButton( OutputDevice* pOutDev,
	                     const Rectangle& rUpperRect,
	                     const Rectangle& rLowerRect,
	                     BOOL bUpperIn, BOOL bLowerIn,
	                     BOOL bUpperEnabled = TRUE,
	                     BOOL bLowerEnabled = TRUE,
	                     BOOL bHorz = FALSE );

#endif  
