
#ifndef _SV_STRHELPER_HXX
#define _SV_STRHELPER_HXX
#ifndef _STRING_HXX
#include <tools/string.hxx>
#endif

String GetCommandLineToken( int, const String& );
ByteString GetCommandLineToken( int, const ByteString& );

int GetCommandLineTokenCount( const String& );
int GetCommandLineTokenCount( const ByteString& );

String WhitespaceToSpace( const String&, BOOL bProtect = TRUE );
ByteString WhitespaceToSpace( const ByteString&, BOOL bProtect = TRUE );

double StringToDouble( const String& rStr );
double StringToDouble( const ByteString& rStr );

#endif
