

#ifndef _SV_TABDLG_HXX
#define _SV_TABDLG_HXX

#ifndef _SV_SV_H
#include <vcl/sv.h>
#endif
#ifndef _SV_DIALOG_HXX
#include <vcl/dialog.hxx>
#endif

class FixedLine;

class TabDialog : public Dialog
{
private:
	FixedLine*			mpFixedLine;
	Window* 			mpViewWindow;
	WindowAlign 		meViewAlign;
	BOOL				mbPosControls;

#ifdef _SV_TABDLG_CXX
	void				ImplInitData();
	void				ImplPosControls();
#endif

public:
			TabDialog( Window* pParent,
					   WinBits nStyle = WB_STDTABDIALOG );
			TabDialog( Window* pParent, const ResId& rResId );
			~TabDialog();

	virtual void		Resize();
	virtual void		StateChanged( StateChangedType nStateChange );

	void				AdjustLayout();

	void				SetViewWindow( Window* pWindow ) { mpViewWindow = pWindow; }
	Window* 			GetViewWindow() const { return mpViewWindow; }
	void				SetViewAlign( WindowAlign eAlign ) { meViewAlign = eAlign; }
	WindowAlign 		GetViewAlign() const { return meViewAlign; }
};

#endif	
