

#ifndef _XMLOFF_NAMEDBOOLPROPERTYHANDLER_HXX
#define _XMLOFF_NAMEDBOOLPROPERTYHANDLER_HXX

#ifndef _XMLOFF_PROPERTYHANDLERBASE_HXX
#include <xmloff/xmlprhdl.hxx>
#endif
#ifndef _XMLOFF_XMLTOKEN_HXX
#include <xmloff/xmltoken.hxx>
#endif

#ifndef _COM_SUN_STAR_UNO_TYPE_H_
#include <com/sun/star/uno/Type.h>
#endif

#ifndef _XMLOFF_XMLEMENT_HXX
#include <xmloff/xmlement.hxx>
#endif

class XMLNamedBoolPropertyHdl : public XMLPropertyHandler
{
private:
	const ::rtl::OUString maTrueStr;
	const ::rtl::OUString maFalseStr;

public:
	XMLNamedBoolPropertyHdl( const ::rtl::OUString& rTrueStr, const ::rtl::OUString& rFalseStr ) : maTrueStr( rTrueStr ), maFalseStr( rFalseStr ) {}

	XMLNamedBoolPropertyHdl( 
			::xmloff::token::XMLTokenEnum eTrue,
			::xmloff::token::XMLTokenEnum eFalse
			) :
		maTrueStr( ::xmloff::token::GetXMLToken( eTrue ) ),
		maFalseStr( ::xmloff::token::GetXMLToken( eFalse ) )
	{}

	virtual ~XMLNamedBoolPropertyHdl();

	virtual sal_Bool importXML( const ::rtl::OUString& rStrImpValue, ::com::sun::star::uno::Any& rValue, const SvXMLUnitConverter& rUnitConverter ) const;
	virtual sal_Bool exportXML( ::rtl::OUString& rStrExpValue, const ::com::sun::star::uno::Any& rValue, const SvXMLUnitConverter& rUnitConverter ) const;
};

#endif		
