

#ifndef _XMLOFF_VISAREACONTEXT_HXX
#define _XMLOFF_VISAREACONTEXT_HXX

#ifndef _XMLOFF_XMLICTXT_HXX
#include <xmloff/xmlictxt.hxx>
#endif

#ifndef _VCL_MAPUNIT_HXX
#include <vcl/mapunit.hxx>
#endif

class Rectangle;

namespace com { namespace sun { namespace star { namespace awt {
	struct Rectangle;
} } } }

class XMLVisAreaContext : public SvXMLImportContext
{
public:

	XMLVisAreaContext( SvXMLImport& rImport, USHORT nPrfx, const rtl::OUString& rLName,
						  const ::com::sun::star::uno::Reference<
						  ::com::sun::star::xml::sax::XAttributeList>& xAttrList,
						  Rectangle& rRect, const MapUnit aMapUnit);

	XMLVisAreaContext( SvXMLImport& rImport, USHORT nPrfx, const rtl::OUString& rLName,
						  const ::com::sun::star::uno::Reference<
						  ::com::sun::star::xml::sax::XAttributeList>& xAttrList,
						  ::com::sun::star::awt::Rectangle& rRect, const sal_Int16 nMeasureUnit);

	virtual ~XMLVisAreaContext();

	virtual SvXMLImportContext *CreateChildContext( USHORT nPrefix,
										const rtl::OUString& rLocalName,
										const ::com::sun::star::uno::Reference<
						  	::com::sun::star::xml::sax::XAttributeList>& xAttrList );
	virtual void EndElement();

private:
	void process(	const ::com::sun::star::uno::Reference<	::com::sun::star::xml::sax::XAttributeList>& xAttrList,
		::com::sun::star::awt::Rectangle& rRect,
		const sal_Int16 nMeasureUnit );

};

#endif
