

#ifndef _XMLOFF_XMLSHAPESTYLECONTEXT_HXX
#define _XMLOFF_XMLSHAPESTYLECONTEXT_HXX

#ifndef _XMLOFF_PRSTYLEI_HXX_
#include <xmloff/prstylei.hxx>
#endif

#ifndef _XMLOFF_FAMILIES_HXX_
#include <xmloff/families.hxx>
#endif

class SvXMLImport;

class XMLShapeStyleContext: public XMLPropStyleContext
{
protected:
	::rtl::OUString		m_sControlDataStyleName;

protected:
	virtual void SetAttribute( sal_uInt16 nPrefixKey,
				   const ::rtl::OUString& rLocalName,
				   const ::rtl::OUString& rValue );
public:
	TYPEINFO();

	XMLShapeStyleContext(
		SvXMLImport& rImport, 
		sal_uInt16 nPrfx, 
		const rtl::OUString& rLName, 
		const com::sun::star::uno::Reference< com::sun::star::xml::sax::XAttributeList >& xAttrList,
		SvXMLStylesContext& rStyles,
		sal_uInt16 nFamily = XML_STYLE_FAMILY_SD_GRAPHICS_ID);
	virtual ~XMLShapeStyleContext();

	SvXMLImportContext * CreateChildContext(
		sal_uInt16 nPrefix,
		const ::rtl::OUString& rLocalName,
		const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XAttributeList > & xAttrList );

	virtual void Finish( sal_Bool bOverwrite );

	virtual void FillPropertySet(
			const ::com::sun::star::uno::Reference<
	::com::sun::star::beans::XPropertySet > & rPropSet );
};

#endif	
