
#ifndef _XMLOFF_TEXTMASTERPAGECONTEXT_HXX_
#define _XMLOFF_TEXTMASTERPAGECONTEXT_HXX_

#ifndef _XMLOFF_XMLSTYLE_HXX_
#include <xmloff/xmlstyle.hxx>
#endif

namespace com { namespace sun { namespace star {
	namespace style { class XStyle; }
} } }

class XMLTextMasterPageContext : public SvXMLStyleContext
{
	const ::rtl::OUString sIsPhysical;
	const ::rtl::OUString sPageStyleLayout;
	const ::rtl::OUString sFollowStyle;
	::rtl::OUString		  sFollow;
	::rtl::OUString		  sPageMasterName;

	::com::sun::star::uno::Reference < ::com::sun::star::style::XStyle > xStyle;

	sal_Bool bInsertHeader;
	sal_Bool bInsertFooter;
	sal_Bool bInsertHeaderLeft;
	sal_Bool bInsertFooterLeft;
	sal_Bool bHeaderInserted;
	sal_Bool bFooterInserted;
	sal_Bool bHeaderLeftInserted;
	sal_Bool bFooterLeftInserted;

	::com::sun::star::uno::Reference <
		::com::sun::star::style::XStyle > Create();
protected:
	::com::sun::star::uno::Reference <
		::com::sun::star::style::XStyle > GetStyle() { return xStyle; }
public:

	TYPEINFO();

	XMLTextMasterPageContext( SvXMLImport& rImport, sal_uInt16 nPrfx,
			const ::rtl::OUString& rLName,
			const ::com::sun::star::uno::Reference<
	::com::sun::star::xml::sax::XAttributeList > & xAttrList,
			sal_Bool bOverwrite );
	virtual ~XMLTextMasterPageContext();

	virtual SvXMLImportContext *CreateChildContext(
			sal_uInt16 nPrefix,
			const ::rtl::OUString& rLocalName,
			const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XAttributeList > & xAttrList );

	virtual SvXMLImportContext *CreateHeaderFooterContext(
			sal_uInt16 nPrefix,
			const ::rtl::OUString& rLocalName,
			const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XAttributeList > & xAttrList,
			const sal_Bool bFooter,
			const sal_Bool bLeft );

	virtual void Finish( sal_Bool bOverwrite );
};

#endif
