

#ifndef _XMLOFF_XMLMETAE_HXX
#define _XMLOFF_XMLMETAE_HXX

#ifndef _COM_SUN_STAR_DOCUMENT_XDOCUMENTINFO_HPP_
#include <com/sun/star/document/XDocumentInfo.hpp>
#endif
#ifndef _COM_SUN_STAR_XML_SAX_XDOCUMENTHANDLER_HPP_
#include <com/sun/star/xml/sax/XDocumentHandler.hpp>
#endif
#ifndef _COM_SUN_STAR_XML_SAX_XATTRIBUTELIST_HPP_
#include <com/sun/star/xml/sax/XAttributeList.hpp>
#endif
#ifndef _COM_SUN_STAR_BEANS_XPROPERTYSET_HPP_
#include <com/sun/star/beans/XPropertySet.hpp>
#endif
#ifndef _COM_SUN_STAR_UTIL_DATETIME_HPP_
#include <com/sun/star/util/DateTime.hpp>
#endif
#ifndef _COM_SUN_STAR_LANG_LOCALE_HPP_
#include <com/sun/star/lang/Locale.hpp>
#endif
#ifndef _XMLOFF_XMLTOKEN_HXX
#include <xmloff/xmltoken.hxx>
#endif

namespace com { namespace sun { namespace star { namespace frame {
	class XModel;
} } } }

class Time;
class SvXMLNamespaceMap;
class SvXMLAttributeList;

class SfxXMLMetaExport
{
private:
	::com::sun::star::uno::Reference<
		::com::sun::star::xml::sax::XDocumentHandler>	xHandler;
	::com::sun::star::uno::Reference<
		::com::sun::star::document::XDocumentInfo>		xDocInfo;
	::com::sun::star::uno::Reference<
		::com::sun::star::beans::XPropertySet>			xInfoProp;
	SvXMLAttributeList*									pAttrList;
	::com::sun::star::uno::Reference<
		::com::sun::star::xml::sax::XAttributeList>		xAttrList;
	const SvXMLNamespaceMap*							pNamespaceMap;
	const ::rtl::OUString								sCDATA;
	const ::rtl::OUString								sWS;
	::com::sun::star::lang::Locale						aLocale;

	void	SimpleStringElement( const ::rtl::OUString& rPropertyName,
					 sal_uInt16 nNamespace,
				 enum ::xmloff::token::XMLTokenEnum eElementName );
	void	SimpleDateTimeElement( const ::rtl::OUString& rPropertyName,
					   sal_uInt16 nNamespace,
				 enum ::xmloff::token::XMLTokenEnum eElementName );

public:
	SfxXMLMetaExport( const ::com::sun::star::uno::Reference<
			::com::sun::star::xml::sax::XDocumentHandler>& rHdl,
		  const ::com::sun::star::uno::Reference<
			::com::sun::star::frame::XModel>& rDocModel );

	virtual ~SfxXMLMetaExport();

	void Export( const SvXMLNamespaceMap& rNamespMap );

	static ::rtl::OUString GetISODateTimeString(
			const ::com::sun::star::util::DateTime& rDateTime );
	static ::rtl::OUString GetISODurationString( const Time& rTime );
};

#endif 

