

#ifndef _XPOOL_HXX
#define _XPOOL_HXX

#ifndef _SFXITEMPOOL_HXX 
#include <svtools/itempool.hxx>
#endif
#ifndef _XDEF_HXX
#include <svx/xdef.hxx>
#endif

class XOutdevItemPool: public SfxItemPool
{
protected:
	SfxPoolItem**   ppPoolDefaults;
	SfxItemInfo*    pItemInfos;
#if SUPD<355
	USHORT*         pSlotIds;
#endif

	USHORT          nStart, nEnd;

private:
	void Ctor(SfxItemPool* pMaster, USHORT nAttrStart, USHORT nAttrEnd);

public:

	XOutdevItemPool(USHORT nAttrStart = XATTR_START,
		USHORT nAttrEnd = XATTR_END,
		FASTBOOL bLoadRefCounts = TRUE);

	XOutdevItemPool(SfxItemPool* pMaster,
		USHORT nAttrStart = XATTR_START,
		USHORT nAttrEnd = XATTR_END,
		FASTBOOL bLoadRefCounts = TRUE);

	XOutdevItemPool(const XOutdevItemPool& rPool);

	virtual SfxItemPool* Clone() const;

	~XOutdevItemPool();
};

#endif      
