

#ifndef _SVX_TEXTIT0_HXX
#define _SVX_TEXTIT0_HXX

#ifndef _XENUM_HXX 
#include <svx/xenum.hxx>
#endif
#ifndef _SFXENUMITEM_HXX 
#include <svtools/eitem.hxx>
#endif

class XFormTextStyleItem : public SfxEnumItem
{
public:
				TYPEINFO();
				XFormTextStyleItem(XFormTextStyle = XFT_NONE);
				XFormTextStyleItem(SvStream& rIn);
	virtual SfxPoolItem*    Clone(SfxItemPool* pPool = 0) const;
	virtual SfxPoolItem*    Create(SvStream& rIn, USHORT nVer) const;
	virtual USHORT          GetValueCount() const;
	XFormTextStyle			GetValue() const { return (XFormTextStyle) SfxEnumItem::GetValue(); }

	virtual	sal_Bool        QueryValue( com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 ) const;
	virtual	sal_Bool		PutValue( const com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 );
};

class XFormTextHideFormItem : public SfxBoolItem
{
public:
				TYPEINFO();
				XFormTextHideFormItem(BOOL bHide = FALSE);
				XFormTextHideFormItem(SvStream& rIn);
	virtual SfxPoolItem*    Clone(SfxItemPool* pPool = 0) const;
	virtual SfxPoolItem*    Create(SvStream& rIn, USHORT nVer) const;
};

#endif
