# Settings for Linux using gcc compiler

OS=LINUX
PLATFORM=linux
PS=/
CC=gcc
LINK=gcc
LIB=gcc
ECHO=@echo
MKDIR=mkdir -p
CAT=cat
OBJ_EXT=o
SHAREDLIB_EXT=so
SHAREDLIB_PRE=lib
DEL=rm -f
COPY=cp
URLPREFIX=file://

# Include UDK version numbers
include $(PRJ)$(PS)include$(PS)udkversion.mk

SALLIB=-lsal
CPPULIB=-lcppu
CPPUHELPERLIB=-lcppuhelper$(UDK_MAJOR)GCC

EMPTYSTRING=
PATH_SEPARATOR=:

# -O is necessary for inlining (see gcc documentation)
CC_FLAGS=-c -O
CC_INCLUDES=-I. -I$(PS)usr$(PS)include -I$(OUT)$(PS)inc$(PS)examples -I$(PRJ)$(PS)include
CC_DEFINES=-DUNX -DGCC -DLINUX
CC_OUTPUT_SWITCH=-o

LIBRARY_LINK_FLAGS=-shared
EXE_LINK_FLAGS=-Wl -export-dynamic
LINK_LIBS=-L$(OUT)$(PS)lib -L$(PRJ)$(PS)$(PLATFORM)$(PS)lib -L$(PS)usr$(PS)lib -L$(PS)usr$(PS)local$(PS)lib -L$(PS)lib

STDC++_LIB=-lstdc++


