

#ifndef _TOOLERR_HXX
#include <tools/errcode.hxx>
#endif

#define ERROR_BS_BASE			(ERRCODE_AREA_APP1)
#define ERROR_BS_READ_BASE		(ERROR_BS_BASE | ERRCODE_CLASS_READ)
#define ERROR_BS_WRITE_BASE		(ERROR_BS_BASE | ERRCODE_CLASS_WRITE)

#define WARN_BS_BASE			(ERRCODE_AREA_APP1 | ERRCODE_WARNING_MASK)
#define WARN_BS_READ_BASE		(ERROR_BS_BASE | ERRCODE_CLASS_READ)
#define WARN_BS_WRITE_BASE		(ERROR_BS_BASE | ERRCODE_CLASS_WRITE)

#define ERR_DELIVER_FAIL		(ERROR_BS_WRITE_BASE 	| 1  )

#define ERR_COMMAND_FAIL		(ERROR_BS_READ_BASE		| 1  )

#define ERRCTX_BS_DELIVER		1
#define ERRCTX_BS_COMMAND		2
#define ERRCTX_BS_APPLICATION	3

