#ifndef _COM_SUN_STAR_FRAME_DISPATCHINFORMATION_HPP_
#define _COM_SUN_STAR_FRAME_DISPATCHINFORMATION_HPP_

#ifndef _COM_SUN_STAR_FRAME_DISPATCHINFORMATION_HDL_
#include <com/sun/star/frame/DispatchInformation.hdl>
#endif

#ifndef _OSL_MUTEX_HXX_
#include <osl/mutex.hxx>
#endif

#ifndef _COM_SUN_STAR_UNO_TYPE_HXX_
#include <com/sun/star/uno/Type.hxx>
#endif

#ifndef _COM_SUN_STAR_UNO_TYPE_HXX_
#include <com/sun/star/uno/Type.hxx>
#endif

namespace com
{
namespace sun
{
namespace star
{
namespace frame
{

inline DispatchInformation::DispatchInformation() SAL_THROW( () )
    : Command()
    , Description()
    , HelpText()
    , Group()
    , StatusInfoType()
{
}

inline DispatchInformation::DispatchInformation(const ::rtl::OUString& __Command, const ::rtl::OUString& __Description, const ::rtl::OUString& __HelpText, const ::rtl::OUString& __Group, const ::com::sun::star::uno::Type& __StatusInfoType) SAL_THROW( () )
    : Command(__Command)
    , Description(__Description)
    , HelpText(__HelpText)
    , Group(__Group)
    , StatusInfoType(__StatusInfoType)
{
}

} // frame
} // star
} // sun
} // com

#if ((defined(__SUNPRO_CC) && (__SUNPRO_CC == 0x500)) || (defined(__GNUC__) && defined(__APPLE__)))
static typelib_TypeDescriptionReference * s_pType_com_sun_star_frame_DispatchInformation = 0;
#endif

inline const ::com::sun::star::uno::Type& SAL_CALL getCppuType( const ::com::sun::star::frame::DispatchInformation* ) SAL_THROW( () )
{
    #if ! ((defined(__SUNPRO_CC) && (__SUNPRO_CC == 0x500)) || (defined(__GNUC__) && defined(__APPLE__)))
    static typelib_TypeDescriptionReference * s_pType_com_sun_star_frame_DispatchInformation = 0;
    #endif

    if ( !s_pType_com_sun_star_frame_DispatchInformation )
    {
        typelib_static_type_init( &s_pType_com_sun_star_frame_DispatchInformation, typelib_TypeClass_STRUCT, "com.sun.star.frame.DispatchInformation" );
    }
    return * reinterpret_cast< ::com::sun::star::uno::Type * >( &s_pType_com_sun_star_frame_DispatchInformation );
}

#endif // _COM_SUN_STAR_FRAME_DISPATCHINFORMATION_HPP_
