

#ifndef _CONNECTIVITY_SDBCX_INDEXCOLUMN_HXX_
#define _CONNECTIVITY_SDBCX_INDEXCOLUMN_HXX_

#ifndef _CONNECTIVITY_SDBCX_COLUMN_HXX_
#include "connectivity/sdbcx/VColumn.hxx"
#endif

namespace connectivity
{
	namespace sdbcx
	{
		class OIndexColumn;
		typedef ::comphelper::OIdPropertyArrayUsageHelper<OIndexColumn> OIndexColumn_PROP;

		class OIndexColumn :	public OColumn,
					public OIndexColumn_PROP
		{
		protected:
			sal_Bool	m_IsAscending;
			virtual ::cppu::IPropertyArrayHelper* createArrayHelper( sal_Int32 _nId) const;
			virtual ::cppu::IPropertyArrayHelper& SAL_CALL getInfoHelper();
		public:
			OIndexColumn(	sal_Bool _bCase);
			OIndexColumn(	sal_Bool _IsAscending,
				const ::rtl::OUString& _Name,
				const ::rtl::OUString& _TypeName,
				const ::rtl::OUString& _DefaultValue,
				sal_Int32		_IsNullable,
				sal_Int32		_Precision,
				sal_Int32		_Scale,
				sal_Int32		_Type,
				sal_Bool		_IsAutoIncrement,
				sal_Bool		_IsRowVersion,
				sal_Bool		_IsCurrency,
				sal_Bool		_bCase);
	virtual void construct();
			DECLARE_SERVICE_INFO();
		};
	}
}
#endif 

