

#ifndef _SCHDLL0_HXX
#define _SCHDLL0_HXX

#ifndef _SFXMODULE_HXX 
#include <sfx2/module.hxx>
#endif
#ifndef _TOOLS_RESMGR_HXX 
#include <tools/resmgr.hxx>
#endif

class SotFactory;
class SvFactory;

class SchModuleDummy : public SfxModule
{
public:
	TYPEINFO();

	SotFactory *pSchChartDocShellFactory;  

	SchModuleDummy(ResMgr	 *pResMgr,
	   BOOL 	 bDummy,
	   SotFactory *pObjFact) :
		SfxModule(pResMgr, bDummy, (SfxObjectFactory*) pObjFact, NULL),
		pSchChartDocShellFactory(pObjFact)
	{
	}

	virtual SfxModule *Load ();

	static const SvGlobalName GetID(USHORT nFileFormat);
	static USHORT HasID (const SvGlobalName& rID);

};

#ifndef _SCH_DLL					  
#define SCH_MOD() ( *(SchModuleDummy**) GetAppData(SHL_SCH) )
#endif

#endif
