
#ifndef _SFXHINTPOST_HXX
#define _SFXHINTPOST_HXX

#ifndef _SFXGENLINK_HXX
#include <sfx2/genlink.hxx>
#endif

#ifndef _REF_HXX 
#include <tools/ref.hxx>
#endif

class SfxHint;

class SfxHintPoster: public SvRefBase

{
	ULONG			nId;
	GenLink 		aLink;

private:
	void			RegisterEvent();
#if 0 // _SOLAR__PRIVATE
		DECL_LINK( DoEvent_Impl, SfxHint * );
#endif

protected:
	virtual         ~SfxHintPoster();
	virtual void	Event( SfxHint* pPostedHint );

public:
		SfxHintPoster();
		SfxHintPoster( const GenLink& rLink );

	void			Post( SfxHint* pHint = 0 );
	void			SetEventHdl( const GenLink& rLink );
};

SV_DECL_IMPL_REF(SfxHintPoster);

#endif
