
#ifndef _SFX_TPLPITEM_HXX
#define _SFX_TPLPITEM_HXX

#ifndef _STRING_HXX 
#include <tools/string.hxx>
#endif
#ifndef _RTTI_HXX 
#include <tools/rtti.hxx>
#endif
#ifndef _SFXFLAGITEM_HXX 
#include <svtools/flagitem.hxx>
#endif

class SfxTemplateItem: public SfxFlagItem
{
	String aStyle;
public:
	TYPEINFO();
	SfxTemplateItem( USHORT nWhich,
		 const String &rStyle,
		 USHORT nMask = 0xffff );
	SfxTemplateItem( const SfxTemplateItem& );

	const String&			GetStyleName() const { return aStyle; }

	virtual SfxPoolItem*	Clone( SfxItemPool *pPool = 0 ) const;
	virtual int 			operator==( const SfxPoolItem& ) const;
	virtual BYTE 			GetFlagCount() const;
};

#endif
