

#ifndef _SJ_SJAPPLET_HXX
#define _SJ_SJAPPLET_HXX

#include <tools/string.hxx>

class INetURLObject;
class Size;
class SjJScriptAppletObject;
class SvCommandList;
class Window;

struct SjApplet2_Impl;

enum SjNetAccess
{
	NET_UNRESTRICTED, NET_NONE, NET_HOST
};

class SjApplet2
{
	SjApplet2_Impl * _pImpl;

public:
	static void settingsChanged(void);
	 SjApplet2();
	~SjApplet2();
	void Init(Window * pParentWin, const INetURLObject & rDocBase, const SvCommandList & rCmdList);
	void setSizePixel( const Size & );
	void appletRestart();
	void appletReload();
	void appletStart();
	void appletStop();
	void appletClose();
	 SjJScriptAppletObject * GetJScriptApplet();
	 virtual void appletResize( const Size & ) = 0;
	virtual void showDocument( const INetURLObject &, const XubString & ) = 0;
	virtual void showStatus( const XubString & ) = 0;

};

#endif 
