

#ifndef _RTTI_HXX 
#include <tools/rtti.hxx>
#endif
#ifndef _VCL_APPTYPES_HXX 
#include <vcl/apptypes.hxx>
#endif

class AgentApi;
class AgentItem;

enum ChannelAgentType { CHANNEL_AGENT_BASIC, CHANNEL_AGENT_JAVA };
class CreateChannelAgentProperty : public ApplicationProperty
{
	AgentApi * 			pAgent;
	ChannelAgentType    eChannelType;
	AgentItem * 		pAgItem;
public:
			TYPEINFO();
			CreateChannelAgentProperty( ChannelAgentType eChannelType,
										AgentItem * );

	ChannelAgentType    GetType() const
			{
				return eChannelType;
			}

	AgentItem *			GetAgentItem() const
			{
				return pAgItem;
			}

	void				SetAgent( AgentApi * pAgent_ )
			{
				pAgent = pAgent_;
			}
	AgentApi * 			GetAgent() const
			{
				return pAgent;
			}
};

