

#ifndef _CLIPLISTENER_HXX
#define _CLIPLISTENER_HXX

#ifndef _LINK_HXX
#include <tools/link.hxx>
#endif

#ifndef _CPPUHELPER_IMPLBASE1_HXX_
#include <cppuhelper/implbase1.hxx>
#endif

#ifndef _COM_SUN_STAR_DATATRANSFER_CLIPBOARD_XCLIPBOARDLISTENER_HPP_
#include <com/sun/star/datatransfer/clipboard/XClipboardListener.hpp>
#endif

class Window;

class TransferableClipboardListener : public ::cppu::WeakImplHelper1<
				::com::sun::star::datatransfer::clipboard::XClipboardListener >
{
	Link	aLink;

public:
	TransferableClipboardListener( const Link& rCallback );
			~TransferableClipboardListener();

	void	AddRemoveListener( Window* pWin, BOOL bAdd );

	virtual void SAL_CALL disposing( const ::com::sun::star::lang::EventObject& Source )
								throw(::com::sun::star::uno::RuntimeException);

	virtual void SAL_CALL changedContents( const ::com::sun::star::datatransfer::clipboard::ClipboardEvent& event )
								throw(::com::sun::star::uno::RuntimeException);
};

#endif

