

#ifndef _SFXENUMITEM_HXX
#define _SFXENUMITEM_HXX

#ifndef _SVTOOLS_CENUMITM_HXX
#include <svtools/cenumitm.hxx>
#endif

class SfxArguments;

class SfxEnumItem: public CntEnumItem
{
protected:
	SfxEnumItem(USHORT nWhich = 0, USHORT nValue = 0):
		CntEnumItem(nWhich, nValue) {}

	SfxEnumItem(USHORT nWhich, SvStream & rStream):
		CntEnumItem(nWhich, rStream) {}

public:
	TYPEINFO();

};

class SfxBoolItem: public CntBoolItem
{
public:
	TYPEINFO();

	SfxBoolItem(USHORT nWhich = 0, BOOL bValue = FALSE):
		CntBoolItem(nWhich, bValue) {}

	SfxBoolItem(USHORT nWhich, SvStream & rStream):
		CntBoolItem(nWhich, rStream) {}

	virtual SfxPoolItem * Create(SvStream & rStream, USHORT) const
	{ return new SfxBoolItem(Which(), rStream); }

	virtual SfxPoolItem * Clone(SfxItemPool * = 0) const
	{ return new SfxBoolItem(*this); }
};

#endif 

