

#ifndef _FLTCALL_HXX
#define _FLTCALL_HXX

#ifndef _GEN_HXX
#include <tools/gen.hxx>
#endif
#include <vcl/field.hxx>

class FilterConfigItem;
class SvStream;
class Graphic;
class Window;

struct FltCallDialogParameter
{
	Window*		pWindow;
	ResMgr*		pResMgr;
	FieldUnit	eFieldUnit;
	String		aFilterExt;

	FltCallDialogParameter( Window* pW, ResMgr* pRsMgr, FieldUnit eFiUni ) :
		pWindow			( pW ),
		pResMgr			( pRsMgr ),
		eFieldUnit		( eFiUni ) {};
};

typedef BOOL (*PFilterCallback) (void *, USHORT);

typedef BOOL (*PFilterCall)(SvStream & rStream, Graphic & rGraphic,
				PFilterCallback pCallback, void * pCallerData,
					FilterConfigItem* pConfigItem, sal_Bool bPrefDialog);

typedef BOOL ( *PFilterDlgCall )( FltCallDialogParameter& );

#endif
