
#ifndef INCLUDED_SVTOOLS_LOCALISATIONOPTIONS_HXX
#define INCLUDED_SVTOOLS_LOCALISATIONOPTIONS_HXX

#ifndef _SAL_TYPES_H_
#include <sal/types.h>
#endif

#ifndef _OSL_MUTEX_HXX_
#include <osl/mutex.hxx>
#endif

class SvtLocalisationOptions_Impl;

class SvtLocalisationOptions
{

	public:
	      SvtLocalisationOptions();
	    ~SvtLocalisationOptions();

		sal_Bool	IsAutoMnemonic	(					) const	;
		void		SetAutoMnemonic	( sal_Bool bState	)		;

		sal_Int32	GetDialogScale(						) const	;
		void		SetDialogScale( sal_Int32 nScale	)		;

		static ::osl::Mutex& GetOwnStaticMutex();

	private:
	 	static SvtLocalisationOptions_Impl*	m_pDataContainer	;	
		static sal_Int32					m_nRefCount			;	

};		

#endif	
