

#ifndef _RTFOUT_HXX
#define _RTFOUT_HXX

#ifndef _SOLAR_H
#include <tools/solar.h>
#endif

class String;
class SvStream;

class RTFOutFuncs
{
public:
#if defined(MAC) || defined(UNX)
	static const sal_Char sNewLine;		
#else
	static const sal_Char __FAR_DATA sNewLine[];	
#endif

	static SvStream& Out_Char( SvStream&, sal_Unicode cChar,
		rtl_TextEncoding eDestEnc = RTL_TEXTENCODING_MS_1252,
		BOOL bWriteHelpFile = FALSE );
	static SvStream& Out_String( SvStream&, const String&,
		rtl_TextEncoding eDestEnc = RTL_TEXTENCODING_MS_1252,
		BOOL bWriteHelpFile = FALSE );
	static SvStream& Out_Hex( SvStream&, ULONG nHex, BYTE nLen );
};

#endif

