

#ifndef _SBXBASE_HXX
#define _SBXBASE_HXX

#include <svtools/sbx.hxx>
#include <svtools/sbxform.hxx>

#ifndef _ERRCODE_HXX 
#include <tools/errcode.hxx>
#endif

SV_DECL_PTRARR_DEL(SbxFacs,SbxFactory*,5,5)
DECLARE_LIST(SbxVarList_Impl, SbxVariable*)

class SbxBasicFormater;

struct SbxAppData
{
	SbxError			eSbxError;	
	SbxFacs 			aFacs;		
	SbxVarList_Impl		aVars;		
	SbxBasicFormater	*pBasicFormater;	

	SbxAppData() : aFacs(), eSbxError( SbxERR_OK ), pBasicFormater( NULL ) {}
	~SbxAppData() { if( pBasicFormater ) delete pBasicFormater; }
};

SbxAppData* GetSbxData_Impl();

#endif

