

#ifndef __SBX_SBX_FACTORY_HXX
#define __SBX_SBX_FACTORY_HXX

#include <svtools/sbxdef.hxx>

class SbxBase;
class SbxObject;
class String;
class UniString;

class SbxFactory
{
	BOOL bHandleLast;	
public:
	SbxFactory( BOOL bLast=FALSE )	{ bHandleLast = bLast; }
	BOOL IsHandleLast( void )		{ return bHandleLast; }
	virtual SbxBase* Create( UINT16 nSbxId, UINT32 = SBXCR_SBX );
	virtual SbxObject* CreateObject( const String& );
};

#endif
