

#ifndef _SVTOOLS_STRINGTRANSFER_HXX_
#define _SVTOOLS_STRINGTRANSFER_HXX_

#ifndef _TRANSFER_HXX
#include <svtools/transfer.hxx>
#endif

namespace svt
{

	class OStringTransferable : public TransferableHelper
	{
	protected:
		::rtl::OUString		m_sContent;

	public:
		OStringTransferable(const ::rtl::OUString& _rContent);

	protected:

		virtual void				AddSupportedFormats();
		virtual sal_Bool			GetData( const ::com::sun::star::datatransfer::DataFlavor& _rFlavor );
	};

	class OStringTransfer
	{
	public:

		static void			CopyString( const ::rtl::OUString& _rContent, Window* _pWindow = NULL );

		static sal_Bool		PasteString( ::rtl::OUString& _rContent, Window* _pWindow = NULL );

		static void			StartStringDrag( const ::rtl::OUString& _rContent, Window* _pWindow, sal_Int8 _nDragSourceActions );
	};

}	

#endif 

