
#ifndef _SVTOOLS_TEMPLDLG_HXX
#define _SVTOOLS_TEMPLDLG_HXX

#include <vcl/button.hxx>
#include <vcl/dialog.hxx>
#include <vcl/fixed.hxx>

struct SvtTmplDlg_Impl;

class SvtTemplateWindow;

class SvtDocumentTemplateDialog : public ModalDialog
{
private:
	FixedLine			aLine;
	PushButton			aManageBtn;
	PushButton			aEditBtn;
	OKButton			aOKBtn;
	CancelButton		aCancelBtn;
	HelpButton			aHelpBtn;

	SvtTmplDlg_Impl*	pImpl;

	DECL_LINK(			SelectHdl_Impl, SvtTemplateWindow* );
	DECL_LINK(			DoubleClickHdl_Impl, SvtTemplateWindow* );
	DECL_LINK(			NewFolderHdl_Impl, SvtTemplateWindow* );
	DECL_LINK(			SendFocusHdl_Impl, SvtTemplateWindow* );
	DECL_LINK(			OKHdl_Impl, PushButton* );
	DECL_LINK(			OrganizerHdl_Impl, PushButton* );
	DECL_LINK(			UpdateHdl_Impl, Timer* );

	void				UpdateDocumentTemplates_Impl();

protected:
	virtual long		PreNotify( NotifyEvent& rNEvt );

public:
	SvtDocumentTemplateDialog( Window* pParent );
	~SvtDocumentTemplateDialog();
};

#endif 

