
#ifndef _SVX_AKRNITEM_HXX
#define _SVX_AKRNITEM_HXX

#ifndef _SFXENUMITEM_HXX 
#include <svtools/eitem.hxx>
#endif
#ifndef _SVX_SVXIDS_HRC
#include <svx/svxids.hrc>
#endif

class SvXMLUnitConverter;
#ifdef _USE_NAMESPACE
namespace rtl
{
#endif
	class OUString;
#ifdef _USE_NAMESPACE
}
#endif

class SvxAutoKernItem : public SfxBoolItem
{
public:
	TYPEINFO();

	SvxAutoKernItem( const BOOL bAutoKern = FALSE,
		 const USHORT nId = ITEMID_AUTOKERN );

	virtual SfxPoolItem*    Clone( SfxItemPool *pPool = 0 ) const;
	virtual SfxPoolItem*    Create(SvStream &, USHORT) const;
	virtual SvStream&		Store(SvStream &, USHORT nItemVersion) const;

	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric,
						SfxMapUnit ePresMetric,
	                                String &rText, const IntlWrapper * = 0 ) const;

	inline SvxAutoKernItem& operator=(const SvxAutoKernItem& rAutoKern)
		{
			SetValue( rAutoKern.GetValue() );
			return *this;
		}
};

#endif

