
#ifndef _SVX_DLG_NAME_HXX
#define _SVX_DLG_NAME_HXX

#ifndef _EDIT_HXX 
#include <vcl/edit.hxx>
#endif
#ifndef _BUTTON_HXX 
#include <vcl/button.hxx>
#endif
#ifndef _FIXED_HXX 
#include <vcl/fixed.hxx>
#endif
#ifndef _DIALOG_HXX 
#include <vcl/dialog.hxx>
#endif
#ifndef _SV_FIXED_HXX 
#include <vcl/fixed.hxx>
#endif

#define MESS_BTN_1	((USHORT)0)
#define MESS_BTN_2	((USHORT)1)

const short  RET_BTN_1	= 100;
const short  RET_BTN_2	= 101;

class SvxNameDialog : public ModalDialog
{
private:
	FixedText		aFtDescription;
	Edit			aEdtName;
	OKButton		aBtnOK;
	CancelButton	aBtnCancel;
	HelpButton		aBtnHelp;

public:
	SvxNameDialog( Window* pWindow, const String& rName, const String& rDesc );

	void	GetName( String& rName );
};

class SvxMessDialog : public ModalDialog
{
private:
	FixedText		aFtDescription;
	PushButton		aBtn1;
	PushButton		aBtn2;
	CancelButton	aBtnCancel;
	FixedImage		aFtImage;
	Image*			pImage;
#if 0 // _SOLAR__PRIVATE
	DECL_LINK( Button1Hdl, Button * );
	DECL_LINK( Button2Hdl, Button * );
#endif
public:
	SvxMessDialog( Window* pWindow, const String& rText, const String& rDesc, Image* pImg = NULL );
	~SvxMessDialog();

	void	SetButtonText( USHORT nBtnId, const String& rNewTxt );
};

#endif 

