

#ifndef _EERDLL_HXX
#define _EERDLL_HXX

class GlobalEditData;

#ifndef _TOOLS_RESID_HXX 
#include <tools/resid.hxx>
#endif

#ifndef _SHL_HXX
#include <tools/shl.hxx>
#endif

class EditResId: public ResId
{
public:
	EditResId( USHORT nId );
};

class EditDLL
{
	ResMgr*			pResMgr;
	GlobalEditData*	pGlobalData;

public:
		EditDLL();
		~EditDLL();

	ResMgr*			GetResMgr() const 		{ return pResMgr; }
	GlobalEditData*	GetGlobalData() const	{ return pGlobalData; }
};

#define EE_DLL() (*(EditDLL**)GetAppData( SHL_EDIT ) )

#endif 
