
#ifndef _SVX_HNGPNCTITEM_HXX
#define _SVX_HNGPNCTITEM_HXX

#ifndef _SFXENUMITEM_HXX
#include <svtools/eitem.hxx>
#endif
#ifndef _SVX_SVXIDS_HRC
#include <svx/svxids.hrc>
#endif

class SvxHangingPunctuationItem : public SfxBoolItem
{
public:
	TYPEINFO();

	SvxHangingPunctuationItem( sal_Bool bOn = sal_False,
			const sal_uInt16 nId = ITEMID_HANGINGPUNCTUATION );

	virtual SfxPoolItem*	Clone( SfxItemPool *pPool = 0 ) const;
	virtual SfxPoolItem*	Create(SvStream &, USHORT) const;
	virtual USHORT			GetVersion( USHORT nFileVersion ) const;

	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric,
						SfxMapUnit ePresMetric,
						String &rText,
	                                const IntlWrapper * = 0 ) const;

	inline SvxHangingPunctuationItem& operator=(
						const SvxHangingPunctuationItem& rItem )
	{
		SetValue( rItem.GetValue() );
		return *this;
	}
};

#endif

