
#ifndef _SVX_IMPGRF_HXX
#define _SVX_IMPGRF_HXX

#ifndef _FILTER_HXX 
#include <svtools/filter.hxx>
#endif

#ifndef _BUTTON_HXX 
#include <vcl/button.hxx>
#endif

GraphicFilter* GetGrfFilter();
USHORT	FillFilter( GraphicFilter& rFilter );
int 	LoadGraphic( const String& rPath, const String& rFilter,
		 Graphic& rGraphic,
		 GraphicFilter* pFilter = NULL,
		 USHORT* pDeterminedFormat = NULL );

#ifndef SV_NODIALOG

#define ENABLE_STANDARD			((USHORT)0x0001)	
#define ENABLE_LINK				((USHORT)0x0002)	
#define ENABLE_STD_AND_LINK		(ENABLE_STANDARD | ENABLE_LINK)
#define ENABLE_PROPERTY			((USHORT)0x0004)	
#define ENABLE_ALL				((USHORT)0x0007)	
#define ENABLE_PROP_WITHOUTLINK ((USHORT)0x0008)	
#define ENABLE_EMPTY_FILENAMES	((USHORT)0x0010)	

#endif	

#endif
