
#ifndef _SVX_MEASCTRL_HXX
#define _SVX_MEASCTRL_HXX

#ifndef _CTRL_HXX 
#include <vcl/ctrl.hxx>
#endif

class SfxItemSet;

class ExtOutputDevice;
class SdrMeasureObj;
class SdrModel;

class SvxXMeasurePreview : public Control
{
 friend class SvxMeasurePage;

private:
	const SfxItemSet&	rAttrs;
	ExtOutputDevice*	pExtOutDev;
	SdrMeasureObj*		pMeasureObj;
	SdrModel*           pModel;

public:
			SvxXMeasurePreview( Window* pParent, const ResId& rResId,
					const SfxItemSet& rInAttrs );
			~SvxXMeasurePreview();

	virtual void Paint( const Rectangle& rRect );
	virtual void MouseButtonDown( const MouseEvent& rMEvt );

	void		 SetAttributes( const SfxItemSet& rInAttrs );
};

#endif

