
#ifndef _SVX_MODCTRL_HXX
#define _SVX_MODCTRL_HXX

#ifndef _SFXSTBITEM_HXX 
#include <sfx2/stbitem.hxx>
#endif

class SvxModifyControl : public SfxStatusBarControl
{
public:
	virtual void	StateChanged( USHORT nSID, SfxItemState eState,
					  const SfxPoolItem* pState );
	virtual void    Paint( const UserDrawEvent& rEvt );

	SFX_DECL_STATUSBAR_CONTROL();

	SvxModifyControl( USHORT nId, StatusBar& rStb, SfxBindings& rBind );

	static	ULONG	GetDefItemWidth(const StatusBar& rStb);

private:
	BOOL	bState;

#ifdef _SVX_MODCTRL_CXX
	void	DrawItemText_Impl();
#endif
};

#endif

