

#ifndef _SVX_NFORIENT_HXX
#define	_SVX_NFORIENT_HXX

#ifndef _SV_FIELD_HXX 
#include <vcl/field.hxx>
#endif

class SvxOrientationField : public NumericField
{
	private:

		short	nDelta;
		short	nLastDelta;
		long	nSpSize;
		short	nCount;
		short	fDirection;
		short	nMinDelta;
		short	nMaxDelta;
		Link	aPrivModifyLink;

	protected:

		void	Up();
		void	Down();
		void	MouseButtonUp( const MouseEvent& rMEvt );
		void	KeyInput( const KeyEvent& rKEvt );
		void	Modify();

	public:

		SvxOrientationField( Window* pParent, WinBits nWinStyle,
						short nMin=0, short nMax=359);
		SvxOrientationField( Window* pWindow, const ResId& rResId,
						short nMin=0, short nMax=359);
		short	GetOrientation();
		void	SetOrientation(short nAlpha);
		void	CtrPrivatModify();

		void            SetPrivatModifyHdl( const Link& rLink ) { aPrivModifyLink = rLink; }
		const Link&     GetPrivatModifyHdl() const { return aPrivModifyLink; }
};

#endif
