
#ifndef _SVX_OPTSAVE_HXX
#define _SVX_OPTSAVE_HXX

#ifndef _SV_GROUP_HXX
#include <vcl/group.hxx>
#endif
#ifndef _SV_FIELD_HXX
#include <vcl/field.hxx>
#endif
#ifndef _SV_FIXED_HXX
#include <vcl/fixed.hxx>
#endif
#ifndef _SV_LSTBOX_HXX
#include <vcl/lstbox.hxx>
#endif
#ifndef _SFXTABDLG_HXX 
#include <sfx2/tabdlg.hxx>
#endif

#define SfxSaveTabPage SvxSaveTabPage

struct SvxSaveTabPage_Impl;
class SvxSaveTabPage : public SfxTabPage
{
private:
	FixedLine           aLoadFL;
	CheckBox            aLoadUserSettingsCB;
	FixedLine           aSaveBox;
	CheckBox			aDocInfoBtn;
	CheckBox			aBackupBtn;
	CheckBox			aAutoSaveBtn;
	NumericField		aAutoSaveEdit;
	FixedText			aMinuteText;
	CheckBox			aAutoSavePromptBtn;
	 FixedLine           aRelBox;
	CheckBox			aRelFsysBtn;
	CheckBox			aRelInetBtn;
	 FixedLine           aFilterFL;
	FixedText           aApplicationFT;
	ListBox             aApplicationLB;
	FixedText           aFiltersFT;
	ListBox             aFiltersLB;
	 SvxSaveTabPage_Impl* pImpl;
#ifdef _SVX_OPTSAVE_CXX
	DECL_LINK( AutoClickHdl_Impl, CheckBox * );
	DECL_LINK( FilterHdl_Impl, ListBox * );
#endif

public:
	SvxSaveTabPage( Window* pParent, const SfxItemSet& rSet );
	virtual ~SvxSaveTabPage();

	static SfxTabPage*	Create( Window* pParent, const SfxItemSet& rAttrSet );

	virtual	BOOL 		FillItemSet( SfxItemSet& rSet );
	virtual	void 		Reset( const SfxItemSet& rSet );

};

#endif	

