
#ifndef _SVX_OPTSPELL_HXX
#define _SVX_OPTSPELL_HXX

#ifndef _COM_SUN_STAR_UNO_SEQUENCE_HXX_
#include <com/sun/star/uno/Sequence.hxx>
#endif
#ifndef _COM_SUN_STAR_UNO_REFERENCE_HXX_
#include <com/sun/star/uno/Reference.hxx>
#endif

#ifndef _SFXTABDLG_HXX 
#include <sfx2/tabdlg.hxx>
#endif
#ifndef _LSTBOX_HXX 
#include <vcl/lstbox.hxx>
#endif
#ifndef _GROUP_HXX 
#include <vcl/group.hxx>
#endif

class SfxSpellTabPage : public SfxTabPage
{
public:
	static SfxTabPage*	Create( Window* pParent, const SfxItemSet& rSet );
	static USHORT*		GetRanges();

	virtual	BOOL 		FillItemSet( SfxItemSet& rSet );
	virtual	void 		Reset( const SfxItemSet& rSet );

private:
	SfxSpellTabPage( Window* pParent, const SfxItemSet& rCoreSet );

	PushButton			aBookBtn;
	MultiListBox		aBookLB;
	FixedLine            aBookBox;
	CheckBox			aCapsBtn;
	CheckBox			aNumBtn;
	CheckBox			aUpLowBtn;
	FixedLine            aAuditBox;

	::com::sun::star::uno::Sequence<
		::com::sun::star::uno::Reference<
			::com::sun::star::linguistic2::XDictionary > >	aDics;
	::com::sun::star::uno::Reference<
		::com::sun::star::linguistic2::XSpellChecker1 >		xSpell;

#ifdef _SVX_OPTSPELL_CXX
	DECL_LINK( BookHdl, Button * );
	void				UpdateBox();
#endif
};

#endif

