
#ifndef _SVX_PRNTITEM_HXX
#define _SVX_PRNTITEM_HXX

#ifndef _SFXENUMITEM_HXX 
#include <svtools/eitem.hxx>
#endif

class SvxPrintItem : public SfxBoolItem
{
public:
	TYPEINFO();

	SvxPrintItem( const USHORT nId = ITEMID_PRINT, const BOOL bPrt = TRUE );
	inline SvxPrintItem &operator=( const SvxPrintItem &rCpy );

	virtual SfxPoolItem*    Clone( SfxItemPool *pPool = 0 ) const;
	virtual SfxPoolItem*    Create(SvStream &, USHORT) const;
	virtual SvStream&		Store(SvStream &, USHORT nItemVersion ) const;

	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric,
						SfxMapUnit ePresMetric,
	                                String &rText, const IntlWrapper * = 0 ) const;
};

inline SvxPrintItem::SvxPrintItem( const USHORT nId, const BOOL bPrt )
	: SfxBoolItem( nId, bPrt )
{}

inline SvxPrintItem &SvxPrintItem::operator=( const SvxPrintItem &rCpy )
{
	SetValue( rCpy.GetValue() );
	return *this;
}

#endif

