
#ifndef _SVX_SHDDITEM_HXX
#define _SVX_SHDDITEM_HXX

#ifndef _SFXENUMITEM_HXX 
#include <svtools/eitem.hxx>
#endif
#ifndef _SVX_SVXIDS_HRC
#include <svx/svxids.hrc>
#endif

class SvXMLUnitConverter;
#ifdef _USE_NAMESPACE
namespace rtl
{
#endif
	class OUString;
#ifdef _USE_NAMESPACE
}
#endif

class SvxShadowedItem : public SfxBoolItem
{
public:
	TYPEINFO();

	SvxShadowedItem( const BOOL bShadowed = FALSE,
		 const USHORT nId = ITEMID_SHADOWED );

	virtual SfxPoolItem*    Clone( SfxItemPool *pPool = 0 ) const;
	virtual SfxPoolItem*    Create(SvStream &, USHORT) const;
	virtual SvStream&		Store(SvStream &, USHORT nItemVersion) const;

	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric,
						SfxMapUnit ePresMetric,
	                                String &rText, const IntlWrapper * = 0 ) const;

	inline SvxShadowedItem& operator=(const SvxShadowedItem& rShadow) {
			SetValue(rShadow.GetValue());
			return *this;
		}

};

#endif

