
#ifndef _SXCIKITM_HXX
#define _SXCIKITM_HXX

#ifndef _SVDDEF_HXX 
#include <svx/svddef.hxx>
#endif

#ifndef _SFXENUMITEM_HXX 
#include <svtools/eitem.hxx>
#endif

enum SdrCircKind {SDRCIRC_FULL,
	  SDRCIRC_SECT,
	  SDRCIRC_CUT,
	  SDRCIRC_ARC};

class SdrCircKindItem: public SfxEnumItem {
public:
	TYPEINFO();
	SdrCircKindItem(SdrCircKind eKind=SDRCIRC_FULL): SfxEnumItem(SDRATTR_CIRCKIND,eKind) {}
	SdrCircKindItem(SvStream& rIn)                 : SfxEnumItem(SDRATTR_CIRCKIND,rIn)   {}
	virtual SfxPoolItem* Clone(SfxItemPool* pPool=NULL) const;
	virtual SfxPoolItem* Create(SvStream& rIn, USHORT nVer) const;
	virtual USHORT       GetValueCount() const; 
			SdrCircKind  GetValue() const      { return (SdrCircKind)SfxEnumItem::GetValue(); }

	virtual	sal_Bool        	 QueryValue( com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 ) const;
	virtual	sal_Bool			 PutValue( const com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 );

	virtual String  GetValueTextByPos(USHORT nPos) const;
	virtual SfxItemPresentation GetPresentation(SfxItemPresentation ePres, SfxMapUnit eCoreMetric, SfxMapUnit ePresMetric, String& rText, const IntlWrapper * = 0) const;
};

#endif
