
#ifndef _TBXCTL_HXX
#define _TBXCTL_HXX

#ifndef _SFXTBXCTRL_HXX 
#include <sfx2/tbxctrl.hxx>
#endif

class SvxTbxCtlDraw : public SfxToolBoxControl
{
private:
	USHORT 	nLastAction;

public:
	virtual void				Select( BOOL bMod1 = FALSE );
	virtual void				StateChanged( USHORT nSID, SfxItemState eState,
								  const SfxPoolItem* pState );
	virtual SfxPopupWindowType	GetPopupWindowType() const;
	virtual SfxPopupWindow*		CreatePopupWindow();
	SFX_DECL_TOOLBOX_CONTROL();
	SvxTbxCtlDraw( USHORT nId, ToolBox& rTbx, SfxBindings& );
			~SvxTbxCtlDraw() {}

	void	SetLastAction( USHORT nAction ) { nLastAction = nAction; }
};

#endif

