

#ifndef _SVX_XEXCH_HXX
#define _SVX_XEXCH_HXX

#ifndef _STREAM_HXX
#include <tools/stream.hxx>
#endif

class XFillAttrSetItem;
class SfxItemPool;

class XFillExchangeData
{
private:
	XFillAttrSetItem*   pXFillAttrSetItem;
	SfxItemPool*        pPool;

public:
	           TYPEINFO();
	            XFillExchangeData();
	           XFillExchangeData(const XFillAttrSetItem rXFillAttrSetItem);
	           ~XFillExchangeData();
	            XFillExchangeData& operator=( const XFillExchangeData& rXFillExchangeData );

	friend SvStream&    operator<<( SvStream& rOStm, const XFillExchangeData& rXFillExchangeData );
	friend SvStream&    operator>>( SvStream& rIStm, XFillExchangeData& rXFillExchangeData );

	static ULONG        RegisterClipboardFormatName();
	XFillAttrSetItem*   GetXFillAttrSetItem() { return pXFillAttrSetItem; }
};

#endif                  
