
#ifndef _PARSER_HXX
#define _PARSER_HXX

#include <tools/string.hxx>
#include <tools/winshell.hxx>

void * NewBinaryFromString( const String & rBinStr );
String CreateStringFromData( const void *pData, ULONG nBytes );

String CreateStringFromItemIDList( const CItemIDList & rIDList );

String GetURLFromHostNotation( const String & rPath );
String GetHostNotationFromURL( const String & rURL );

CItemIDList MakeIDToken( const String &rToken );
CItemIDList	ParseSpecialURL( const String & rURL );

#endif 
