

#ifndef _SOLAR_HRC
#include <solar.hrc>
#endif

#define SOLVER_TEXT_1   'W', 'P', '\x13', '\x12', '\x19', '\x63', '\xab', '\x21'
#if !defined PRODUCT
#define SOLVER_TEXT_2   'd', 'e', 'v', 'e', 'l', 'o', 'p', '?'
#define SOLVER_CHAR_2   ('d' + 'e' + 'v' + 'e' + 'l' + 'o' + 'p' + '?') & 0xFF
#elif defined PRODUCT_DEMO
#define SOLVER_TEXT_2   'o', 'm', 'e', 'd', '+', '-', '*', '/'
#define SOLVER_CHAR_2   ('o' + 'm' + 'e' + 'd' + '+' + '-' + '*' + '/') & 0xFF
#elif defined PRODUCT_COMPACT
#define SOLVER_TEXT_2   'c', 'o', 'm', 'p', 'a', 'c', 't', ':'
#define SOLVER_CHAR_2   ('c' + 'o' + 'm' + 'p' + 'a' + 'c' + 't' + ':') & 0xFF
#else
#define SOLVER_TEXT_2   'p', 'r', 'o', 'd', 'u', 'c', 't', '!'
#define SOLVER_CHAR_2   ('p' + 'r' + 'o' + 'd' + 'u' + 'c' + 't' + '!') & 0xFF
#endif
#define SOLVER_TEXT_3   'M', 'D', '\x25', '\x10', '\x19', '\x62', '\xab', '\x21'

#ifdef DBG_UTIL
static char cSolverPre[]    = "Pre";
#endif
static char cSolVerText[]   = { SOLVER_TEXT_1, SOLVER_TEXT_2,
	                            (SOLARUPD / 100)      + '0',
	                            (SOLARUPD /  10) % 10 + '0',
	                            (SOLARUPD      ) % 10 + '0',
	                            SOLVER_CHAR_2, SOLVER_TEXT_3 };
#ifdef DBG_UTIL
static char cSolverPost[]   = "Post";
#endif
