

#ifndef _VCOMPAT_HXX
#define _VCOMPAT_HXX

#ifndef _SOLAR_H
#include <tools/solar.h>
#endif

#define COMPAT_FORMAT( char1, char2, char3, char4 ) \
	((ULONG)((((ULONG)(char)(char1)))|				\
	(((ULONG)(char)(char2))<<8UL)|					\
	(((ULONG)(char)(char3))<<16UL)|					\
	((ULONG)(char)(char4))<<24UL))

class SvStream;

class VersionCompat
{
	SvStream*		mpRWStm;
	UINT32			mnCompatPos;
	UINT32			mnTotalSize;
	UINT16			mnStmMode;
	UINT16			mnVersion;
			VersionCompat() {}
		VersionCompat( const VersionCompat& rCompat ) {}
	VersionCompat&	operator=( const VersionCompat& rCompat ) { return *this; }
	BOOL			operator==( const VersionCompat& rCompat ) { return FALSE; }

public:
			VersionCompat( SvStream& rStm, USHORT nStreamMode, UINT16 nVersion = 1 );
		~VersionCompat();
	 UINT16			GetVersion() const { return mnVersion; }
};

#endif 
