

#ifndef _SV_CVTGRF_HXX
#define _SV_CVTGRF_HXX

#ifndef _LINK_HXX
#include <tools/link.hxx>
#endif
#ifndef _SV_SALCTYPE_H
#include <vcl/salctype.hxx>
#endif

struct	ConvertData;
class	Graphic;

class GraphicConverter
{
private:

	Link				maFilterHdl;
	ConvertData*		mpConvertData;

#if 0 // _SOLAR__PRIVATE
public:
	ULONG				ImplConvert( ULONG nInFormat, void* pInBuffer, ULONG nInBufSize,
						 void** ppOutBuffer, ULONG nOutFormat );
#endif 

public:
				GraphicConverter();
			~GraphicConverter();

	static ULONG		Import( SvStream& rIStm, Graphic& rGraphic, ULONG nFormat = CVT_UNKNOWN );
	static ULONG		Export( SvStream& rOStm, const Graphic& rGraphic, ULONG nFormat );

	ConvertData*		GetConvertData() { return mpConvertData; }

	void				SetFilterHdl( const Link& rLink ) { maFilterHdl = rLink; }
	const Link&			GetFilterHdl() const { return maFilterHdl; }
};

#endif 

