

#ifndef _SV_GRAPH_H
#define _SV_GRAPH_H

#ifndef _STRING_HXX
#include <tools/string.hxx>
#endif

#ifndef _SV_SV_H
#include <vcl/sv.h>
#endif

enum GraphicType
{
	GRAPHIC_NONE,
	GRAPHIC_BITMAP,
	GRAPHIC_GDIMETAFILE,
	GRAPHIC_DEFAULT
};

class ReaderData;

class GraphicReader
{
protected:
	 String          maUpperName;
	ReaderData*     mpReaderData;
	BOOL            mbIsReading;
	                 GraphicReader() :
	                    mpReaderData( NULL ),
	                    mbIsReading( FALSE ) {}

public:
	 virtual         ~GraphicReader();
	 const String&   GetUpperFilterName() const { return maUpperName; }
	ReaderData*     GetReaderData() const { return mpReaderData; }
	BOOL            IsReading() const { return mbIsReading; }
};

#endif 
