

#ifndef _SV_GROUP_HXX
#define _SV_GROUP_HXX

#ifndef _SV_SV_H
#include <vcl/sv.h>
#endif
#ifndef _SV_CTRL_HXX
#include <vcl/ctrl.hxx>
#endif

class GroupBox : public Control
{
#ifdef _SV_GROUP_CXX
private:
	void            ImplInit( Window* pParent, WinBits nStyle );
	WinBits         ImplInitStyle( WinBits nStyle );
	void            ImplInitSettings( BOOL bFont, BOOL bForeground, BOOL bBackground );
	void            ImplDraw( OutputDevice* pDev, ULONG nDrawFlags,
	                          const Point& rPos, const Size& rSize );
#endif

public:
	                GroupBox( Window* pParent, WinBits nStyle = 0 );
	                GroupBox( Window* pParent, const ResId& rResId );
	 virtual void    Paint( const Rectangle& rRect );
	virtual void    Draw( OutputDevice* pDev, const Point& rPos, const Size& rSize, ULONG nFlags );
	virtual void    Resize();
	virtual void    StateChanged( StateChangedType nType );
	virtual void    DataChanged( const DataChangedEvent& rDCEvt );
};

#endif  
