

#ifndef _SV_IMGCTRL_HXX
#define _SV_IMGCTRL_HXX

#include <vcl/fixed.hxx>
#include <vcl/bitmapex.hxx>

class ImageControl : public FixedImage
{
private:
	BitmapEx		maBmp;
	ULONG			mnDummy1;

public:
		ImageControl( Window* pParent, WinBits nStyle = 0 );

	virtual void	Resize();
	virtual void	UserDraw( const UserDrawEvent& rUDEvt );

	void			SetBitmap( const BitmapEx& rBmp );
	const BitmapEx& GetBitmap() const { return maBmp; }
};

#endif	
