

#ifndef _SV_SALCTYPE_HXX
#define _SV_SALCTYPE_HXX

#ifndef _SV_GRAPH_HXX
#include <vcl/graph.hxx>
#endif

#define CVT_UNKNOWN	(0x00000000UL)
#define CVT_BMP		(0x00000001UL)
#define CVT_GIF		(0x00000002UL)
#define CVT_JPG		(0x00000003UL)
#define CVT_MET		(0x00000004UL)
#define CVT_PCT		(0x00000005UL)
#define CVT_PNG		(0x00000006UL)
#define CVT_SVM		(0x00000007UL)
#define CVT_TIF		(0x00000008UL)
#define CVT_WMF		(0x00000009UL)
#define CVT_EMF		(0x0000000aUL)

class SvStream;

struct ConvertData
{
private:
				ConvertData();

public:

	Graphic				maGraphic;
	SvStream&			mrStm;
	ULONG				mnFormat;
				ConvertData( const Graphic& rGraphic, SvStream& rStm, ULONG nFormat ) :
				maGraphic( rGraphic ), mrStm( rStm ), mnFormat( nFormat ) {}
			~ConvertData() {}
};

typedef ULONG (*SALGRFCVTPROC)( void* pInst, 
					ULONG nInFormat, void* pInBuffer, ULONG nInBufSize,
					ULONG nOutFormat, void** ppOutBuffer );

#endif 
