

#ifndef _SV_TABPAGE_HXX
#define _SV_TABPAGE_HXX

#ifndef _SV_SV_H
#include <vcl/sv.h>
#endif
#ifndef _SV_WINDOW_HXX
#include <vcl/window.hxx>
#endif

class TabPage : public Window
{
#ifdef _SV_TABPAGE_CXX
private:
	void			ImplInit( Window* pParent, WinBits nStyle );
	void			ImplInitSettings();
#endif

public:
		TabPage( Window* pParent, WinBits nStyle = 0 );
		TabPage( Window* pParent, const ResId& rResId );

	virtual void	StateChanged( StateChangedType nStateChange );
	virtual void	DataChanged( const DataChangedEvent& rDCEvt );

	virtual void	ActivatePage();
	virtual void	DeactivatePage();
};

#endif	
