

#ifndef _VCL_UNOHELP_HXX
#define _VCL_UNOHELP_HXX

#ifndef _COM_SUN_STAR_UNO_REFERENCE_H_
#include <com/sun/star/uno/Reference.h>
#endif

#ifndef _RTL_USTRING_HXX_
#include <rtl/ustring.hxx>
#endif

namespace com {
namespace sun {
namespace star {
namespace i18n {
	class XBreakIterator;
	class XCharacterClassification;
	class XCollator;
}
namespace lang {
	class XMultiServiceFactory; 
}
}}}

namespace vcl
{
namespace unohelper
{

::com::sun::star::uno::Reference< ::com::sun::star::lang::XMultiServiceFactory > GetMultiServiceFactory();
::com::sun::star::uno::Reference < ::com::sun::star::i18n::XBreakIterator > CreateBreakIterator();
::com::sun::star::uno::Reference < ::com::sun::star::i18n::XCharacterClassification> CreateCharacterClassification();
::com::sun::star::uno::Reference < ::com::sun::star::i18n::XCollator > CreateCollator();
::rtl::OUString CreateLibraryName( const sal_Char* pModName, sal_Bool bSUPD );

}}	

#endif  

