

#ifndef _SV_WAITOBJ_HXX
#define _SV_WAITOBJ_HXX

#ifndef _SV_SV_H
#include <vcl/sv.h>
#endif
#ifndef _SV_WINDOW_HXX
#include <vcl/window.hxx>
#endif

class WaitObject
{
private:
	Window*     mpWindow;
public:
#ifndef NOOLDSV
	            WaitObject();
#endif
	            WaitObject( Window* pWindow )
	            {
	                mpWindow = pWindow;
	                if ( mpWindow )
	                    mpWindow->EnterWait();
	            }
	            ~WaitObject()
	            {
	                if ( mpWindow )
	                    mpWindow->LeaveWait();
	            }
};

#endif 
