

#ifndef _SVX_XLINJOIT_HXX
#define _SVX_XLINJOIT_HXX

#ifndef _SFXENUMITEM_HXX 
#include <svtools/eitem.hxx>
#endif
#ifndef _XENUM_HXX
#include <svx/xenum.hxx>
#endif

class XLineJointItem : public SfxEnumItem
{
public:
				TYPEINFO();
				XLineJointItem( XLineJoint eLineJoint = XLINEJOINT_ROUND );
				XLineJointItem( SvStream& rIn );

	virtual USHORT           GetVersion( USHORT nFileFormatVersion ) const;
	virtual SfxPoolItem*    Clone( SfxItemPool* pPool = 0 ) const;
	virtual SfxPoolItem*    Create( SvStream& rIn, USHORT nVer ) const;

	virtual	sal_Bool        	 QueryValue( com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 ) const;
	virtual	sal_Bool			 PutValue( const com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 );
	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric, SfxMapUnit ePresMetric,
	                                String &rText, const IntlWrapper * = 0 ) const;

	virtual USHORT          GetValueCount() const;
	XLineJoint				GetValue() const { return (XLineJoint) SfxEnumItem::GetValue(); }
};

#endif 
