

#ifndef _XMLOFF_DOCUMENTSETTINGSCONTEXT_HXX
#define _XMLOFF_DOCUMENTSETTINGSCONTEXT_HXX

#ifndef _XMLOFF_XMLICTXT_HXX
#include <xmloff/xmlictxt.hxx>
#endif

#ifndef _COM_SUN_STAR_UNO_SEQUENCE_H_
#include <com/sun/star/uno/Sequence.h>
#endif
#ifndef _COM_SUN_STAR_BEANS_PROPERTYVALUE_HPP_
#include <com/sun/star/beans/PropertyValue.hpp>
#endif

class XMLDocumentSettingsContext : public SvXMLImportContext
{
	com::sun::star::uno::Any	aViewProps;
	com::sun::star::uno::Any	aConfigProps;

public:
	XMLDocumentSettingsContext(SvXMLImport& rImport, USHORT nPrfx, const rtl::OUString& rLName,
						const ::com::sun::star::uno::Reference<
						::com::sun::star::xml::sax::XAttributeList>& xAttrList);
	virtual ~XMLDocumentSettingsContext();

	virtual SvXMLImportContext *CreateChildContext( USHORT nPrefix,
										const rtl::OUString& rLocalName,
										const ::com::sun::star::uno::Reference<
						  	::com::sun::star::xml::sax::XAttributeList>& xAttrList );
	virtual void EndElement();
};

#endif
