

#ifndef _XMLOFF_XMLBASE64IMPORTCONTEXT_HXX
#define _XMLOFF_XMLBASE64IMPORTCONTEXT_HXX

#ifndef _COM_SUN_STAR_XML_SAX_XDOCUMENTHANDLER_HPP_
#include <com/sun/star/xml/sax/XDocumentHandler.hpp>
#endif

#ifndef _XMLOFF_XMLICTXT_HXX
#include <xmloff/xmlictxt.hxx>
#endif

namespace com { namespace sun { namespace star { namespace io {
	class XOutputStream; } } } }

class XMLBase64ImportContext : public SvXMLImportContext
{
	::com::sun::star::uno::Reference<
		::com::sun::star::io::XOutputStream > xOut;
	::rtl::OUString sBase64CharsLeft;

public:
	TYPEINFO();

	XMLBase64ImportContext( SvXMLImport& rImport, USHORT nPrfx,
				const ::rtl::OUString& rLName,
		const ::com::sun::star::uno::Reference<
			::com::sun::star::xml::sax::XAttributeList >& xAttrList,
		const ::com::sun::star::uno::Reference<
			::com::sun::star::io::XOutputStream >& rOut );

	virtual ~XMLBase64ImportContext();

	virtual void EndElement();

	virtual void Characters( const ::rtl::OUString& rChars );

};

#endif	

