
#ifndef _XMLOFF_TEXTSTYLE_HXX_
#define _XMLOFF_TEXTSTYLE_HXX_

#ifndef _XMLOFF_STYLEEXP_HXX_
#include <xmloff/styleexp.hxx>
#endif
#ifndef _UNIVERSALL_REFERENCE_HXX
#include <xmloff/uniref.hxx>
#endif

class XMLPropertySetMapper;

class XMLTextStyleExport : public XMLStyleExport
{
	UniReference < XMLPropertySetMapper > xParaPropMapper;

	void exportNumStyles( sal_Bool bUsed );

public:

	XMLTextStyleExport(
		SvXMLExport& rExp,

		const ::rtl::OUString& rPoolStyleName,

		SvXMLAutoStylePoolP *pAutoStyleP=0 );
	virtual ~XMLTextStyleExport();

	void exportStyles( sal_Bool bUsed );

	UniReference < XMLPropertySetMapper >& getParaPropMapper();
};

#endif
