

#ifndef _XMLOFF_XMLEMENT_HXX
#define _XMLOFF_XMLEMENT_HXX

#ifndef _SAL_TYPES_H 
#include <sal/types.h>
#endif

#ifndef _XMLOFF_XMLTOKEN_HXX
#include <xmloff/xmltoken.hxx>
#endif

struct SvXMLEnumMapEntry
{
	::xmloff::token::XMLTokenEnum   eToken;
	sal_uInt16                      nValue;
};

#define ENUM_STRING_MAP_ENTRY(name,tok) { name, sizeof(name)-1, tok }

#define ENUM_STRING_MAP_END()           { NULL, 0, 0 }

struct SvXMLEnumStringMapEntry
{
	const sal_Char *    pName;
	sal_Int32           nNameLength;
	sal_uInt16          nValue;
};

#endif	

