

#ifndef _XMLOFF_XMLIMP_HXX
#define _XMLOFF_XMLIMP_HXX

#ifndef _COM_SUN_STAR_XML_SAX_SAXPARSEEXCEPTION_HPP_
#include <com/sun/star/xml/sax/SAXParseException.hpp>
#endif
#ifndef _COM_SUN_STAR_XML_SAX_XEXTENDEDDOCUMENTHANDLER_HPP_
#include <com/sun/star/xml/sax/XExtendedDocumentHandler.hpp>
#endif
#ifndef _COM_SUN_STAR_XML_SAX_SAXEXCEPTION_HPP_
#include <com/sun/star/xml/sax/SAXException.hpp>
#endif
#ifndef _COM_SUN_STAR_XML_SAX_XATTRIBUTELIST_HPP_
#include <com/sun/star/xml/sax/XAttributeList.hpp>
#endif
#ifndef _COM_SUN_STAR_XML_SAX_XLOCATOR_HPP_
#include <com/sun/star/xml/sax/XLocator.hpp>
#endif
#ifndef _COM_SUN_STAR_LANG_XUNOTUNNEL_HPP_
#include <com/sun/star/lang/XUnoTunnel.hpp>
#endif
#ifndef _COM_SUN_STAR_UTIL_XNUMBERFORMATSSUPPLIER_HPP_
#include <com/sun/star/util/XNumberFormatsSupplier.hpp>
#endif
#ifndef _COM_SUN_STAR_CONTAINER_XNAMECONTAINER_HPP_
#include <com/sun/star/container/XNameContainer.hpp>
#endif
#ifndef _COM_SUN_STAR_LANG_XINITIALIZATION_HPP_
#include <com/sun/star/lang/XInitialization.hpp>
#endif
#ifndef _COM_SUN_STAR_LANG_XSERVICEINFO_HPP_
#include <com/sun/star/lang/XServiceInfo.hpp>
#endif
#ifndef _COM_SUN_STAR_DOCUMENT_XIMPORTER_HPP_
#include <com/sun/star/document/XImporter.hpp>
#endif
#ifndef _COM_SUN_STAR_DRAWING_XGRAPHICOBJECTRESOLVER_HPP_
#include <com/sun/star/document/XGraphicObjectResolver.hpp>
#endif
#ifndef _COM_SUN_STAR_DRAWING_XEMBEDDEDOBJECTRESOLVER_HPP_
#include <com/sun/star/document/XEmbeddedObjectResolver.hpp>
#endif
#ifndef _COM_SUN_STAR_BEANS_XPROPERTYSET_HPP_
#include <com/sun/star/beans/XPropertySet.hpp>
#endif

#ifndef _CPPUHELPER_WEAK_HXX_ 
#include <cppuhelper/weak.hxx>
#endif

#ifndef _XMLOFF_TEXTIMP_HXX_
#include <xmloff/txtimp.hxx>
#endif

#ifndef _XMLOFF_SHAPEIMPORT_HXX_
#include <xmloff/shapeimport.hxx>
#endif

#ifndef _XMLOFF_SCH_XMLIMPORTHELPER_HXX_
#include <xmloff/SchXMLImportHelper.hxx>
#endif
#ifndef _XMLOFF_PROGRESSBARHELPER_HXX
#include <xmloff/ProgressBarHelper.hxx>
#endif

#include <cppuhelper/implbase5.hxx>
#if SUPD>615 || defined(PRIV_DEBUG)
#ifndef _XMLOFF_FORMLAYERIMPORT_HXX_
#include <xmloff/formlayerimport.hxx>
#endif
#endif

namespace rtl { class OUString; }
namespace com { namespace sun { namespace star {
	namespace frame { class XModel; }
	namespace io { class XOutputStream; }
} } }

class SvXMLNamespaceMap;
class SvXMLImportContext;
class SvXMLImportContexts_Impl;
class SvXMLImport_Impl;
class SvXMLUnitConverter;
class SvXMLNumFmtHelper;
class XMLFontStylesContext;
class XMLEventImportHelper;

#define IMPORT_META			0x0001
#define IMPORT_STYLES		0x0002
#define IMPORT_MASTERSTYLES 0x0004
#define IMPORT_AUTOSTYLES	0x0008
#define IMPORT_CONTENT		0x0010
#define IMPORT_SCRIPTS		0x0020
#define IMPORT_SETTINGS		0x0040
#define IMPORT_FONTDECLS	0x0080
#define IMPORT_EMBEDDED		0x0100
#define IMPORT_ALL			0xffff

class SvXMLImport : public ::cppu::WeakImplHelper5<
	::com::sun::star::xml::sax::XExtendedDocumentHandler,
	::com::sun::star::lang::XServiceInfo,
	::com::sun::star::lang::XInitialization,
	::com::sun::star::document::XImporter,
	::com::sun::star::lang::XUnoTunnel>
{
	friend class SvXMLImportContext;

	::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XLocator > xLocator;
	::com::sun::star::uno::Reference< ::com::sun::star::frame::XModel > xModel;
	::com::sun::star::uno::Reference< ::com::sun::star::util::XNumberFormatsSupplier > xNumberFormatsSupplier;
	::com::sun::star::uno::Reference< ::com::sun::star::document::XGraphicObjectResolver > xGraphicResolver;
	::com::sun::star::uno::Reference< ::com::sun::star::document::XEmbeddedObjectResolver > xEmbeddedResolver;
	::com::sun::star::uno::Reference< ::com::sun::star::beans::XPropertySet > xImportInfo;

	UniReference< XMLTextImportHelper >				mxTextImport;
	UniReference< XMLShapeImportHelper >			mxShapeImport;
#ifndef SVX_LIGHT
	UniReference< SchXMLImportHelper >				mxChartImport;
	UniReference< ::xmloff::OFormLayerXMLImport >	mxFormImport;
#endif

	SvXMLImportContextRef xFontDecls;
	SvXMLImportContextRef xStyles;
	SvXMLImportContextRef xAutoStyles;
	SvXMLImportContextRef xMasterStyles;

	::com::sun::star::uno::Reference< ::com::sun::star::container::XNameContainer > xGradientHelper;
	::com::sun::star::uno::Reference< ::com::sun::star::container::XNameContainer > xHatchHelper;
	::com::sun::star::uno::Reference< ::com::sun::star::container::XNameContainer > xBitmapHelper;
	::com::sun::star::uno::Reference< ::com::sun::star::container::XNameContainer > xTransGradientHelper;
	::com::sun::star::uno::Reference< ::com::sun::star::container::XNameContainer > xMarkerHelper;
	::com::sun::star::uno::Reference< ::com::sun::star::container::XNameContainer > xDashHelper;
	::com::sun::star::uno::Reference< ::com::sun::star::container::XNameContainer > xNumberStyles;

	SvXMLImport_Impl			*pImpl;			
	SvXMLNamespaceMap 			*pNamespaceMap;
	SvXMLUnitConverter			*pUnitConv;
	SvXMLImportContexts_Impl	*pContexts;
	SvXMLNumFmtHelper			*pNumImport;
	ProgressBarHelper			*pProgressBarHelper;
	XMLEventImportHelper   		*pEventImportHelper;
	::rtl::OUString				sPackageProtocol;

	void _InitCtor();

	sal_uInt16 mnImportFlags;

protected:
	::com::sun::star::uno::Reference< com::sun::star::task::XStatusIndicator > mxStatusIndicator;
	sal_Bool					mbIsFormsSupported;

	virtual SvXMLImportContext *CreateContext( sal_uInt16 nPrefix,
						  const ::rtl::OUString& rLocalName,
						  const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XAttributeList >& xAttrList );

	virtual XMLTextImportHelper* CreateTextImport();
	virtual XMLShapeImportHelper* CreateShapeImport();
#ifndef SVX_LIGHT
	virtual SchXMLImportHelper* CreateChartImport();
	virtual ::xmloff::OFormLayerXMLImport* CreateFormImport();
#endif

	void SetFontDecls( XMLFontStylesContext *pFontDecls );
	void SetStyles( SvXMLStylesContext *pStyles );
	void SetAutoStyles( SvXMLStylesContext *pAutoStyles );
	void SetMasterStyles( SvXMLStylesContext *pMasterStyles );
	void SetGraphicResolver( com::sun::star::uno::Reference< com::sun::star::document::XGraphicObjectResolver >& _xGraphicResolver );
	 void _CreateNumberFormatsSupplier();
	void _CreateDataStylesImport();

public:
	SvXMLImport( sal_uInt16 nImportFlags = IMPORT_ALL ) throw();
	SvXMLImport( const ::com::sun::star::uno::Reference<
			::com::sun::star::frame::XModel > & ) throw();
	SvXMLImport( const ::com::sun::star::uno::Reference<
			::com::sun::star::frame::XModel > &,
			const ::com::sun::star::uno::Reference< ::com::sun::star::document::XGraphicObjectResolver > & ) throw();
	virtual ~SvXMLImport() throw();

	static const ::com::sun::star::uno::Sequence< sal_Int8 > & getUnoTunnelId() throw();
	static SvXMLImport* getImplementation( ::com::sun::star::uno::Reference< ::com::sun::star::uno::XInterface > ) throw();

	virtual void SAL_CALL startDocument(void)
		throw( ::com::sun::star::xml::sax::SAXException, ::com::sun::star::uno::RuntimeException );
	virtual void SAL_CALL endDocument(void)
		throw( ::com::sun::star::xml::sax::SAXException, ::com::sun::star::uno::RuntimeException );
	virtual void SAL_CALL startElement(const ::rtl::OUString& aName,
				  const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XAttributeList > & xAttribs)
		throw( ::com::sun::star::xml::sax::SAXException, ::com::sun::star::uno::RuntimeException );
	virtual void SAL_CALL endElement(const ::rtl::OUString& aName)
		throw( ::com::sun::star::xml::sax::SAXException, ::com::sun::star::uno::RuntimeException );
	virtual void SAL_CALL characters(const ::rtl::OUString& aChars)
		throw( ::com::sun::star::xml::sax::SAXException, ::com::sun::star::uno::RuntimeException );
	virtual void SAL_CALL ignorableWhitespace(const ::rtl::OUString& aWhitespaces)
		throw( ::com::sun::star::xml::sax::SAXException, ::com::sun::star::uno::RuntimeException );
	virtual void SAL_CALL processingInstruction(const ::rtl::OUString& aTarget,
						   const ::rtl::OUString& aData)
		throw( ::com::sun::star::xml::sax::SAXException, ::com::sun::star::uno::RuntimeException );
	virtual void SAL_CALL setDocumentLocator(const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XLocator > & xLocator)
		throw( ::com::sun::star::xml::sax::SAXException, ::com::sun::star::uno::RuntimeException );

	virtual void SAL_CALL startCDATA(void) throw( ::com::sun::star::xml::sax::SAXException, ::com::sun::star::uno::RuntimeException );
	virtual void SAL_CALL endCDATA(void) throw( ::com::sun::star::uno::RuntimeException );
	virtual void SAL_CALL comment(const ::rtl::OUString& sComment)
		throw( ::com::sun::star::xml::sax::SAXException, ::com::sun::star::uno::RuntimeException );
	virtual void SAL_CALL allowLineBreak(void)
		throw( ::com::sun::star::xml::sax::SAXException, ::com::sun::star::uno::RuntimeException );
	virtual void SAL_CALL unknown(const ::rtl::OUString& sString)
		throw( ::com::sun::star::xml::sax::SAXException, ::com::sun::star::uno::RuntimeException );
	 virtual void SAL_CALL setTargetDocument( const ::com::sun::star::uno::Reference< ::com::sun::star::lang::XComponent >& xDoc ) throw(::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::uno::RuntimeException);
	 virtual void SAL_CALL initialize( const ::com::sun::star::uno::Sequence< ::com::sun::star::uno::Any >& aArguments ) throw(::com::sun::star::uno::Exception, ::com::sun::star::uno::RuntimeException);
	 virtual sal_Int64 SAL_CALL getSomething( const ::com::sun::star::uno::Sequence< sal_Int8 >& aIdentifier ) throw(::com::sun::star::uno::RuntimeException);
	 virtual ::rtl::OUString SAL_CALL getImplementationName(  ) throw(::com::sun::star::uno::RuntimeException);
	virtual sal_Bool SAL_CALL supportsService( const ::rtl::OUString& ServiceName ) throw(::com::sun::star::uno::RuntimeException);
	virtual ::com::sun::star::uno::Sequence< ::rtl::OUString > SAL_CALL getSupportedServiceNames(  ) throw(::com::sun::star::uno::RuntimeException);

	virtual void SetStatisticAttributes(const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XAttributeList > & xAttribs);

	inline UniReference< XMLTextImportHelper > GetTextImport();
	inline SvXMLNumFmtHelper* GetDataStylesImport();

	inline UniReference< XMLShapeImportHelper > GetShapeImport();

#ifndef SVX_LIGHT

	inline UniReference< SchXMLImportHelper > GetChartImport();

	inline UniReference< ::xmloff::OFormLayerXMLImport > GetFormImport();
#endif 

	inline ::com::sun::star::uno::Reference< ::com::sun::star::beans::XPropertySet > getImportInfo() const { return xImportInfo; }

	XMLEventImportHelper& GetEventImport();

	SvXMLNamespaceMap& GetNamespaceMap() { return *pNamespaceMap; }
	const SvXMLNamespaceMap& GetNamespaceMap() const { return *pNamespaceMap; }
	const SvXMLUnitConverter& GetMM100UnitConverter() const { return *pUnitConv; }
		SvXMLUnitConverter& GetMM100UnitConverter() { return *pUnitConv; }
	const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XLocator > & GetLocator() const { return xLocator; }
	const ::com::sun::star::uno::Reference< ::com::sun::star::frame::XModel > &
			GetModel() const { return xModel; }

	const ::com::sun::star::uno::Reference< ::com::sun::star::container::XNameContainer > & GetGradientHelper();
	const ::com::sun::star::uno::Reference< ::com::sun::star::container::XNameContainer > & GetHatchHelper();
	const ::com::sun::star::uno::Reference< ::com::sun::star::container::XNameContainer > & GetBitmapHelper();
	const ::com::sun::star::uno::Reference< ::com::sun::star::container::XNameContainer > & GetTransGradientHelper();
	const ::com::sun::star::uno::Reference< ::com::sun::star::container::XNameContainer > & GetMarkerHelper();
	const ::com::sun::star::uno::Reference< ::com::sun::star::container::XNameContainer > & GetDashHelper();
	inline ::com::sun::star::uno::Reference< ::com::sun::star::util::XNumberFormatsSupplier > & GetNumberFormatsSupplier();

	::rtl::OUString ResolveGraphicObjectURL( const ::rtl::OUString& rURL, sal_Bool bLoadOnDemand );
	::com::sun::star::uno::Reference< ::com::sun::star::io::XOutputStream >
		GetStreamForGraphicObjectURLFromBase64();
	::rtl::OUString ResolveGraphicObjectURLFromBase64(
		const ::com::sun::star::uno::Reference< ::com::sun::star::io::XOutputStream >& rOut );

	::rtl::OUString ResolveEmbeddedObjectURL( const ::rtl::OUString& rURL,
								  const ::rtl::OUString& rClassId );
	::com::sun::star::uno::Reference< ::com::sun::star::io::XOutputStream >
		ResolveEmbeddedObjectURLFromBase64( const ::rtl::OUString& rURL );

	ProgressBarHelper*	GetProgressBarHelper();

	void AddNumberStyle(sal_Int32 nKey, const rtl::OUString& sName);

	virtual void SetViewSettings(const com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>& aViewProps);
	virtual void SetConfigurationSettings(const com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>& aConfigProps);

	XMLFontStylesContext *GetFontDecls();
	SvXMLStylesContext *GetStyles();
	SvXMLStylesContext *GetAutoStyles();
	SvXMLStylesContext *GetMasterStyles();
	const XMLFontStylesContext *GetFontDecls() const;
	const SvXMLStylesContext *GetStyles() const;
	const SvXMLStylesContext *GetAutoStyles() const;
	const SvXMLStylesContext *GetMasterStyles() const;

	sal_uInt16	getImportFlags() const { return mnImportFlags; }
#ifndef SVX_LIGHT
	sal_Bool	IsFormsSupported() const { return mbIsFormsSupported; }
#endif
	rtl::OUString GetAbsoluteReference(const rtl::OUString& rValue);

#ifdef CONV_STAR_FONTS
	sal_Unicode ConvStarBatsCharToStarSymbol( sal_Unicode c );
	sal_Unicode ConvStarMathCharToStarSymbol( sal_Unicode c );
#endif
};

inline UniReference< XMLTextImportHelper > SvXMLImport::GetTextImport()
{
	if( !mxTextImport.is() )
		mxTextImport = CreateTextImport();

	return mxTextImport;
}

inline UniReference< XMLShapeImportHelper > SvXMLImport::GetShapeImport()
{
	if( !mxShapeImport.is() )
		mxShapeImport = CreateShapeImport();

	return mxShapeImport;
}

#ifndef SVX_LIGHT
inline UniReference< SchXMLImportHelper > SvXMLImport::GetChartImport()
{
	if( !mxChartImport.is() )
		mxChartImport = CreateChartImport();

	return mxChartImport;
}
#endif

#ifndef SVX_LIGHT
#if SUPD>615 || defined(PRIV_DEBUG)
inline UniReference< ::xmloff::OFormLayerXMLImport > SvXMLImport::GetFormImport()
{
	if( !mxFormImport.is() )
		mxFormImport = CreateFormImport();

	return mxFormImport;
}
#endif
#endif 

inline void SvXMLImport::SetGraphicResolver(
	com::sun::star::uno::Reference< com::sun::star::document::XGraphicObjectResolver >& _xGraphicResolver )
{
	xGraphicResolver = _xGraphicResolver;
}

inline ::com::sun::star::uno::Reference< ::com::sun::star::util::XNumberFormatsSupplier > & SvXMLImport::GetNumberFormatsSupplier() 
{ 
	if ( ! xNumberFormatsSupplier.is() && xModel.is() )
	    _CreateNumberFormatsSupplier();
	 return xNumberFormatsSupplier;
}

inline SvXMLNumFmtHelper* SvXMLImport::GetDataStylesImport()
{ 
	if ( pNumImport == NULL)
	    _CreateDataStylesImport();
	 return pNumImport;
}

#endif	
